#include "arrays-client.h"

void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data)
{
  flick_fluke_encode_new_glob(5);
  flick_fluke_encode_new_chunk(5);
  flick_fluke_encode_signed32(0, _data->elem1);
  flick_fluke_encode_char8(4, _data->elem2);
  flick_fluke_encode_end_chunk(5);
  flick_fluke_encode_end_glob(5);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_fluke_decode_new_glob(5);
  flick_fluke_decode_new_chunk(5);
  flick_fluke_decode_signed32(0, _data->elem1);
  flick_fluke_decode_char8(4, _data->elem2);
  flick_fluke_decode_end_chunk(5);
  flick_fluke_decode_end_glob(5);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_char8(0, _data->elem1);
  flick_fluke_encode_signed32(4, _data->elem2);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_char8(0, _data->elem1);
  flick_fluke_decode_signed32(4, _data->elem2);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  flick_fluke_encode_new_glob(209);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->first);
  _t0_array_length = 50;
  flick_fluke_encode_end_chunk(1);
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t2_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_encode_float64(0, _data->last);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(209);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  flick_fluke_decode_new_glob(209);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->first);
  _t3_array_length = 50;
  flick_fluke_decode_end_chunk(1);
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t5_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_decode_float64(0, _data->last);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(209);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data)
{
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;

  flick_fluke_encode_new_glob(209);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_float64(0, _data->first);
  _t6_array_length = 50;
  flick_fluke_encode_end_chunk(8);
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->data[_t8_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->last);
  flick_fluke_encode_end_chunk(1);
  flick_fluke_encode_end_glob(209);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_fluke_decode_new_glob(209);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_float64(0, _data->first);
  _t9_array_length = 50;
  flick_fluke_decode_end_chunk(8);
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->data[_t11_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->last);
  flick_fluke_decode_end_chunk(1);
  flick_fluke_decode_end_glob(209);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;

  flick_fluke_encode_new_glob(204);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->first);
  _t12_array_length = 50;
  flick_fluke_encode_end_chunk(2);
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(4, 2, 1, 0);
      flick_fluke_encode_signed32(0, _data->data[_t14_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->last);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(204);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t17_array_iter;

  flick_fluke_decode_new_glob(204);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->first);
  _t15_array_length = 50;
  flick_fluke_decode_end_chunk(2);
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(4, 2, 1, 0);
      flick_fluke_decode_signed32(0, _data->data[_t17_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->last);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(204);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t20_array_iter;

  flick_fluke_encode_new_glob(416);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->first);
  _t18_array_length = 50;
  flick_fluke_encode_end_chunk(1);
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(3, _data->data[_t20_array_iter].elem1);
      flick_fluke_encode_char8(7, _data->data[_t20_array_iter].elem2);
      flick_fluke_encode_end_chunk(8);
    }
  flick_fluke_encode_new_chunk_align(8, 3, 2, 1);
  flick_fluke_encode_float64(0, _data->last);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(416);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t21_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_fluke_decode_new_glob(416);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->first);
  _t21_array_length = 50;
  flick_fluke_decode_end_chunk(1);
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_fluke_decode_new_chunk(8);
      flick_fluke_decode_signed32(3, _data->data[_t23_array_iter].elem1);
      flick_fluke_decode_char8(7, _data->data[_t23_array_iter].elem2);
      flick_fluke_decode_end_chunk(8);
    }
  flick_fluke_decode_new_chunk_align(8, 3, 2, 1);
  flick_fluke_decode_float64(0, _data->last);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(416);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned8_t _t24_array_length;
  flick_unsigned8_t _t26_array_iter;

  flick_fluke_encode_new_glob(259);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_float64(0, _data->first);
  _t24_array_length = 50;
  flick_fluke_encode_end_chunk(8);
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t26_array_iter].elem1);
      flick_fluke_encode_char8(4, _data->data[_t26_array_iter].elem2);
      flick_fluke_encode_end_chunk(5);
    }
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->last);
  flick_fluke_encode_end_chunk(1);
  flick_fluke_encode_end_glob(259);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t27_array_length;
  flick_unsigned8_t _t29_array_iter;

  flick_fluke_decode_new_glob(259);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_float64(0, _data->first);
  _t27_array_length = 50;
  flick_fluke_decode_end_chunk(8);
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t29_array_iter].elem1);
      flick_fluke_decode_char8(4, _data->data[_t29_array_iter].elem2);
      flick_fluke_decode_end_chunk(5);
    }
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->last);
  flick_fluke_decode_end_chunk(1);
  flick_fluke_decode_end_glob(259);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned8_t _t30_array_length;
  flick_unsigned8_t _t32_array_iter;

  flick_fluke_encode_new_glob(255);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->first);
  _t30_array_length = 50;
  flick_fluke_encode_end_chunk(2);
  for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t32_array_iter].elem1);
      flick_fluke_encode_char8(4, _data->data[_t32_array_iter].elem2);
      flick_fluke_encode_end_chunk(5);
    }
  flick_fluke_encode_new_chunk(3);
  flick_fluke_encode_signed16(1, _data->last);
  flick_fluke_encode_end_chunk(3);
  flick_fluke_encode_end_glob(255);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t33_array_length;
  flick_unsigned8_t _t35_array_iter;

  flick_fluke_decode_new_glob(255);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->first);
  _t33_array_length = 50;
  flick_fluke_decode_end_chunk(2);
  for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t35_array_iter].elem1);
      flick_fluke_decode_char8(4, _data->data[_t35_array_iter].elem2);
      flick_fluke_decode_end_chunk(5);
    }
  flick_fluke_decode_new_chunk(3);
  flick_fluke_decode_signed16(1, _data->last);
  flick_fluke_decode_end_chunk(3);
  flick_fluke_decode_end_glob(255);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned8_t _t36_array_length;
  flick_unsigned8_t _t38_array_iter;

  flick_fluke_encode_new_glob(259);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->first);
  _t36_array_length = 50;
  flick_fluke_encode_end_chunk(1);
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_char8(0, _data->data[_t38_array_iter].elem1);
      flick_fluke_encode_end_chunk(1);
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->data[_t38_array_iter].elem2);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_encode_float64(0, _data->last);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(259);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t39_array_length;
  flick_unsigned8_t _t41_array_iter;

  flick_fluke_decode_new_glob(259);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->first);
  _t39_array_length = 50;
  flick_fluke_decode_end_chunk(1);
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_char8(0, _data->data[_t41_array_iter].elem1);
      flick_fluke_decode_end_chunk(1);
      flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->data[_t41_array_iter].elem2);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
  flick_fluke_decode_float64(0, _data->last);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(259);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned8_t _t42_array_length;
  flick_unsigned8_t _t44_array_iter;

  flick_fluke_encode_new_glob(409);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_float64(0, _data->first);
  _t42_array_length = 50;
  flick_fluke_encode_end_chunk(8);
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_char8(0, _data->data[_t44_array_iter].elem1);
      flick_fluke_encode_signed32(4, _data->data[_t44_array_iter].elem2);
      flick_fluke_encode_end_chunk(8);
    }
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->last);
  flick_fluke_encode_end_chunk(1);
  flick_fluke_encode_end_glob(409);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t45_array_length;
  flick_unsigned8_t _t47_array_iter;

  flick_fluke_decode_new_glob(409);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_float64(0, _data->first);
  _t45_array_length = 50;
  flick_fluke_decode_end_chunk(8);
  for (_t47_array_iter = 0; _t47_array_iter < _t45_array_length; _t47_array_iter++)
    {
      flick_fluke_decode_new_chunk(8);
      flick_fluke_decode_char8(0, _data->data[_t47_array_iter].elem1);
      flick_fluke_decode_signed32(4, _data->data[_t47_array_iter].elem2);
      flick_fluke_decode_end_chunk(8);
    }
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->last);
  flick_fluke_decode_end_chunk(1);
  flick_fluke_decode_end_glob(409);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned8_t _t48_array_length;
  flick_unsigned8_t _t50_array_iter;

  flick_fluke_encode_new_glob(404);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->first);
  _t48_array_length = 50;
  flick_fluke_encode_end_chunk(2);
  for (_t50_array_iter = 0; _t50_array_iter < _t48_array_length; _t50_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_char8(0, _data->data[_t50_array_iter].elem1);
      flick_fluke_encode_end_chunk(1);
      flick_fluke_encode_new_chunk_align(4, 2, 1, 1);
      flick_fluke_encode_signed32(0, _data->data[_t50_array_iter].elem2);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->last);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(404);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t51_array_length;
  flick_unsigned8_t _t53_array_iter;

  flick_fluke_decode_new_glob(404);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->first);
  _t51_array_length = 50;
  flick_fluke_decode_end_chunk(2);
  for (_t53_array_iter = 0; _t53_array_iter < _t51_array_length; _t53_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_char8(0, _data->data[_t53_array_iter].elem1);
      flick_fluke_decode_end_chunk(1);
      flick_fluke_decode_new_chunk_align(4, 2, 1, 1);
      flick_fluke_decode_signed32(0, _data->data[_t53_array_iter].elem2);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->last);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(404);
}

struct cLd arrays_test_cLd(mom_ref_t _obj, const struct cLd *inp, struct cLd *iop, struct cLd *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct cLd _return;

  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t60_array_length;
    flick_unsigned8_t _t62_array_iter;
    flick_unsigned8_t _t63_array_length;
    flick_unsigned8_t _t65_array_iter;

    flick_fluke_encode_new_glob(422);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_arrays_test_cLd);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, inp->first);
    _t60_array_length = 50;
    flick_fluke_encode_end_chunk(5);
    for (_t62_array_iter = 0; _t62_array_iter < _t60_array_length; _t62_array_iter++)
      {
        flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
        flick_fluke_encode_signed32(0, inp->data[_t62_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_new_chunk_align(9, 3, 2, 0);
    flick_fluke_encode_float64(0, inp->last);
    flick_fluke_encode_char8(8, iop->first);
    _t63_array_length = 50;
    flick_fluke_encode_end_chunk(9);
    for (_t65_array_iter = 0; _t65_array_iter < _t63_array_length; _t65_array_iter++)
      {
        flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
        flick_fluke_encode_signed32(0, iop->data[_t65_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
    flick_fluke_encode_float64(0, iop->last);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(422);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(631);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t75_array_length;
          flick_unsigned8_t _t77_array_iter;
          flick_unsigned8_t _t78_array_length;
          flick_unsigned8_t _t80_array_iter;
          flick_unsigned8_t _t81_array_length;
          flick_unsigned8_t _t83_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, iop->first);
          _t75_array_length = 50;
          flick_fluke_decode_end_chunk(1);
          for (_t77_array_iter = 0; _t77_array_iter < _t75_array_length; _t77_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
              flick_fluke_decode_signed32(0, iop->data[_t77_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk_align(9, 3, 2, 0);
          flick_fluke_decode_float64(0, iop->last);
          flick_fluke_decode_char8(8, outp->first);
          _t78_array_length = 50;
          flick_fluke_decode_end_chunk(9);
          for (_t80_array_iter = 0; _t80_array_iter < _t78_array_length; _t80_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
              flick_fluke_decode_signed32(0, outp->data[_t80_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk_align(9, 3, 2, 0);
          flick_fluke_decode_float64(0, outp->last);
          flick_fluke_decode_char8(8, _return.first);
          _t81_array_length = 50;
          flick_fluke_decode_end_chunk(9);
          for (_t83_array_iter = 0; _t83_array_iter < _t81_array_length; _t83_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
              flick_fluke_decode_signed32(0, _return.data[_t83_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
          flick_fluke_decode_float64(0, _return.last);
          flick_fluke_decode_end_chunk(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(631);
  }
  flick_fluke_client_end_decode();
  return _return;
}

struct dLc arrays_test_dLc(mom_ref_t _obj, const struct dLc *inp, struct dLc *iop, struct dLc *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct dLc _return;

  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t90_array_length;
    flick_unsigned8_t _t92_array_iter;
    flick_unsigned8_t _t93_array_length;
    flick_unsigned8_t _t95_array_iter;

    flick_fluke_encode_new_glob(433);
    flick_fluke_encode_new_chunk(16);
    flick_fluke_encode_unsigned32(0, req_arrays_test_dLc);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, inp->first);
    _t90_array_length = 50;
    flick_fluke_encode_end_chunk(16);
    for (_t92_array_iter = 0; _t92_array_iter < _t90_array_length; _t92_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, inp->data[_t92_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_new_chunk(1);
    flick_fluke_encode_char8(0, inp->last);
    flick_fluke_encode_end_chunk(1);
    flick_fluke_encode_new_chunk_align(8, 3, 2, 1);
    flick_fluke_encode_float64(0, iop->first);
    _t93_array_length = 50;
    flick_fluke_encode_end_chunk(8);
    for (_t95_array_iter = 0; _t95_array_iter < _t93_array_length; _t95_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, iop->data[_t95_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_new_chunk(1);
    flick_fluke_encode_char8(0, iop->last);
    flick_fluke_encode_end_chunk(1);
    flick_fluke_encode_end_glob(433);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(649);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t105_array_length;
          flick_unsigned8_t _t107_array_iter;
          flick_unsigned8_t _t108_array_length;
          flick_unsigned8_t _t110_array_iter;
          flick_unsigned8_t _t111_array_length;
          flick_unsigned8_t _t113_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_float64(4, iop->first);
          _t105_array_length = 50;
          flick_fluke_decode_end_chunk(12);
          for (_t107_array_iter = 0; _t107_array_iter < _t105_array_length; _t107_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, iop->data[_t107_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, iop->last);
          flick_fluke_decode_end_chunk(1);
          flick_fluke_decode_new_chunk_align(8, 3, 2, 1);
          flick_fluke_decode_float64(0, outp->first);
          _t108_array_length = 50;
          flick_fluke_decode_end_chunk(8);
          for (_t110_array_iter = 0; _t110_array_iter < _t108_array_length; _t110_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, outp->data[_t110_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, outp->last);
          flick_fluke_decode_end_chunk(1);
          flick_fluke_decode_new_chunk_align(8, 3, 2, 1);
          flick_fluke_decode_float64(0, _return.first);
          _t111_array_length = 50;
          flick_fluke_decode_end_chunk(8);
          for (_t113_array_iter = 0; _t113_array_iter < _t111_array_length; _t113_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, _return.data[_t113_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, _return.last);
          flick_fluke_decode_end_chunk(1);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(649);
  }
  flick_fluke_client_end_decode();
  return _return;
}

struct sLs arrays_test_sLs(mom_ref_t _obj, const struct sLs *inp, struct sLs *iop, struct sLs *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct sLs _return;

  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t120_array_length;
    flick_unsigned8_t _t122_array_iter;
    flick_unsigned8_t _t123_array_length;
    flick_unsigned8_t _t125_array_iter;

    flick_fluke_encode_new_glob(412);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_arrays_test_sLs);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, inp->first);
    _t120_array_length = 50;
    flick_fluke_encode_end_chunk(6);
    for (_t122_array_iter = 0; _t122_array_iter < _t120_array_length; _t122_array_iter++)
      {
        flick_fluke_encode_new_chunk_align(4, 2, 1, 0);
        flick_fluke_encode_signed32(0, inp->data[_t122_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_signed16(0, inp->last);
    flick_fluke_encode_signed16(2, iop->first);
    _t123_array_length = 50;
    flick_fluke_encode_end_chunk(4);
    for (_t125_array_iter = 0; _t125_array_iter < _t123_array_length; _t125_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, iop->data[_t125_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_new_chunk(2);
    flick_fluke_encode_signed16(0, iop->last);
    flick_fluke_encode_end_chunk(2);
    flick_fluke_encode_end_glob(412);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(616);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t135_array_length;
          flick_unsigned8_t _t137_array_iter;
          flick_unsigned8_t _t138_array_length;
          flick_unsigned8_t _t140_array_iter;
          flick_unsigned8_t _t141_array_length;
          flick_unsigned8_t _t143_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, iop->first);
          _t135_array_length = 50;
          flick_fluke_decode_end_chunk(2);
          for (_t137_array_iter = 0; _t137_array_iter < _t135_array_length; _t137_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(4, 2, 1, 0);
              flick_fluke_decode_signed32(0, iop->data[_t137_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed16(0, iop->last);
          flick_fluke_decode_signed16(2, outp->first);
          _t138_array_length = 50;
          flick_fluke_decode_end_chunk(4);
          for (_t140_array_iter = 0; _t140_array_iter < _t138_array_length; _t140_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, outp->data[_t140_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed16(0, outp->last);
          flick_fluke_decode_signed16(2, _return.first);
          _t141_array_length = 50;
          flick_fluke_decode_end_chunk(4);
          for (_t143_array_iter = 0; _t143_array_iter < _t141_array_length; _t143_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, _return.data[_t143_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, _return.last);
          flick_fluke_decode_end_chunk(2);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(616);
  }
  flick_fluke_client_end_decode();
  return _return;
}

struct cLCd arrays_test_cLCd(mom_ref_t _obj, const struct cLCd *inp, struct cLCd *iop, struct cLCd *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct cLCd _return;

  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t150_array_length;
    flick_unsigned8_t _t152_array_iter;
    flick_unsigned8_t _t153_array_length;
    flick_unsigned8_t _t155_array_iter;

    flick_fluke_encode_new_glob(836);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_arrays_test_cLCd);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, inp->first);
    _t150_array_length = 50;
    flick_fluke_encode_end_chunk(5);
    for (_t152_array_iter = 0; _t152_array_iter < _t150_array_length; _t152_array_iter++)
      {
        flick_fluke_encode_new_chunk(8);
        flick_fluke_encode_signed32(3, inp->data[_t152_array_iter].elem1);
        flick_fluke_encode_char8(7, inp->data[_t152_array_iter].elem2);
        flick_fluke_encode_end_chunk(8);
      }
    flick_fluke_encode_new_chunk_align(9, 3, 2, 1);
    flick_fluke_encode_float64(0, inp->last);
    flick_fluke_encode_char8(8, iop->first);
    _t153_array_length = 50;
    flick_fluke_encode_end_chunk(9);
    for (_t155_array_iter = 0; _t155_array_iter < _t153_array_length; _t155_array_iter++)
      {
        flick_fluke_encode_new_chunk(8);
        flick_fluke_encode_signed32(3, iop->data[_t155_array_iter].elem1);
        flick_fluke_encode_char8(7, iop->data[_t155_array_iter].elem2);
        flick_fluke_encode_end_chunk(8);
      }
    flick_fluke_encode_new_chunk_align(8, 3, 2, 1);
    flick_fluke_encode_float64(0, iop->last);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(836);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(1252);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t165_array_length;
          flick_unsigned8_t _t167_array_iter;
          flick_unsigned8_t _t168_array_length;
          flick_unsigned8_t _t170_array_iter;
          flick_unsigned8_t _t171_array_length;
          flick_unsigned8_t _t173_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, iop->first);
          _t165_array_length = 50;
          flick_fluke_decode_end_chunk(1);
          for (_t167_array_iter = 0; _t167_array_iter < _t165_array_length; _t167_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_signed32(3, iop->data[_t167_array_iter].elem1);
              flick_fluke_decode_char8(7, iop->data[_t167_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk_align(9, 3, 2, 1);
          flick_fluke_decode_float64(0, iop->last);
          flick_fluke_decode_char8(8, outp->first);
          _t168_array_length = 50;
          flick_fluke_decode_end_chunk(9);
          for (_t170_array_iter = 0; _t170_array_iter < _t168_array_length; _t170_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_signed32(3, outp->data[_t170_array_iter].elem1);
              flick_fluke_decode_char8(7, outp->data[_t170_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk_align(9, 3, 2, 1);
          flick_fluke_decode_float64(0, outp->last);
          flick_fluke_decode_char8(8, _return.first);
          _t171_array_length = 50;
          flick_fluke_decode_end_chunk(9);
          for (_t173_array_iter = 0; _t173_array_iter < _t171_array_length; _t173_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_signed32(3, _return.data[_t173_array_iter].elem1);
              flick_fluke_decode_char8(7, _return.data[_t173_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk_align(8, 3, 2, 1);
          flick_fluke_decode_float64(0, _return.last);
          flick_fluke_decode_end_chunk(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(1252);
  }
  flick_fluke_client_end_decode();
  return _return;
}

struct dLCc arrays_test_dLCc(mom_ref_t _obj, const struct dLCc *inp, struct dLCc *iop, struct dLCc *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct dLCc _return;

  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t180_array_length;
    flick_unsigned8_t _t182_array_iter;
    flick_unsigned8_t _t183_array_length;
    flick_unsigned8_t _t185_array_iter;

    flick_fluke_encode_new_glob(532);
    flick_fluke_encode_new_chunk(16);
    flick_fluke_encode_unsigned32(0, req_arrays_test_dLCc);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, inp->first);
    _t180_array_length = 50;
    flick_fluke_encode_end_chunk(16);
    for (_t182_array_iter = 0; _t182_array_iter < _t180_array_length; _t182_array_iter++)
      {
        flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
        flick_fluke_encode_signed32(0, inp->data[_t182_array_iter].elem1);
        flick_fluke_encode_char8(4, inp->data[_t182_array_iter].elem2);
        flick_fluke_encode_end_chunk(5);
      }
    flick_fluke_encode_new_chunk(1);
    flick_fluke_encode_char8(0, inp->last);
    flick_fluke_encode_end_chunk(1);
    flick_fluke_encode_new_chunk_align(8, 3, 2, 2);
    flick_fluke_encode_float64(0, iop->first);
    _t183_array_length = 50;
    flick_fluke_encode_end_chunk(8);
    for (_t185_array_iter = 0; _t185_array_iter < _t183_array_length; _t185_array_iter++)
      {
        flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
        flick_fluke_encode_signed32(0, iop->data[_t185_array_iter].elem1);
        flick_fluke_encode_char8(4, iop->data[_t185_array_iter].elem2);
        flick_fluke_encode_end_chunk(5);
      }
    flick_fluke_encode_new_chunk(1);
    flick_fluke_encode_char8(0, iop->last);
    flick_fluke_encode_end_chunk(1);
    flick_fluke_encode_end_glob(532);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(797);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t195_array_length;
          flick_unsigned8_t _t197_array_iter;
          flick_unsigned8_t _t198_array_length;
          flick_unsigned8_t _t200_array_iter;
          flick_unsigned8_t _t201_array_length;
          flick_unsigned8_t _t203_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_float64(4, iop->first);
          _t195_array_length = 50;
          flick_fluke_decode_end_chunk(12);
          for (_t197_array_iter = 0; _t197_array_iter < _t195_array_length; _t197_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
              flick_fluke_decode_signed32(0, iop->data[_t197_array_iter].elem1);
              flick_fluke_decode_char8(4, iop->data[_t197_array_iter].elem2);
              flick_fluke_decode_end_chunk(5);
            }
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, iop->last);
          flick_fluke_decode_end_chunk(1);
          flick_fluke_decode_new_chunk_align(8, 3, 2, 2);
          flick_fluke_decode_float64(0, outp->first);
          _t198_array_length = 50;
          flick_fluke_decode_end_chunk(8);
          for (_t200_array_iter = 0; _t200_array_iter < _t198_array_length; _t200_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
              flick_fluke_decode_signed32(0, outp->data[_t200_array_iter].elem1);
              flick_fluke_decode_char8(4, outp->data[_t200_array_iter].elem2);
              flick_fluke_decode_end_chunk(5);
            }
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, outp->last);
          flick_fluke_decode_end_chunk(1);
          flick_fluke_decode_new_chunk_align(8, 3, 2, 2);
          flick_fluke_decode_float64(0, _return.first);
          _t201_array_length = 50;
          flick_fluke_decode_end_chunk(8);
          for (_t203_array_iter = 0; _t203_array_iter < _t201_array_length; _t203_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
              flick_fluke_decode_signed32(0, _return.data[_t203_array_iter].elem1);
              flick_fluke_decode_char8(4, _return.data[_t203_array_iter].elem2);
              flick_fluke_decode_end_chunk(5);
            }
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, _return.last);
          flick_fluke_decode_end_chunk(1);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(797);
  }
  flick_fluke_client_end_decode();
  return _return;
}

struct sLCs arrays_test_sLCs(mom_ref_t _obj, const struct sLCs *inp, struct sLCs *iop, struct sLCs *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct sLCs _return;

  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t210_array_length;
    flick_unsigned8_t _t212_array_iter;
    flick_unsigned8_t _t213_array_length;
    flick_unsigned8_t _t215_array_iter;

    flick_fluke_encode_new_glob(514);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_arrays_test_sLCs);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, inp->first);
    _t210_array_length = 50;
    flick_fluke_encode_end_chunk(6);
    for (_t212_array_iter = 0; _t212_array_iter < _t210_array_length; _t212_array_iter++)
      {
        flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
        flick_fluke_encode_signed32(0, inp->data[_t212_array_iter].elem1);
        flick_fluke_encode_char8(4, inp->data[_t212_array_iter].elem2);
        flick_fluke_encode_end_chunk(5);
      }
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_signed16(1, inp->last);
    flick_fluke_encode_signed16(3, iop->first);
    _t213_array_length = 50;
    flick_fluke_encode_end_chunk(5);
    for (_t215_array_iter = 0; _t215_array_iter < _t213_array_length; _t215_array_iter++)
      {
        flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
        flick_fluke_encode_signed32(0, iop->data[_t215_array_iter].elem1);
        flick_fluke_encode_char8(4, iop->data[_t215_array_iter].elem2);
        flick_fluke_encode_end_chunk(5);
      }
    flick_fluke_encode_new_chunk(3);
    flick_fluke_encode_signed16(1, iop->last);
    flick_fluke_encode_end_chunk(3);
    flick_fluke_encode_end_glob(514);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(769);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t225_array_length;
          flick_unsigned8_t _t227_array_iter;
          flick_unsigned8_t _t228_array_length;
          flick_unsigned8_t _t230_array_iter;
          flick_unsigned8_t _t231_array_length;
          flick_unsigned8_t _t233_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, iop->first);
          _t225_array_length = 50;
          flick_fluke_decode_end_chunk(2);
          for (_t227_array_iter = 0; _t227_array_iter < _t225_array_length; _t227_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
              flick_fluke_decode_signed32(0, iop->data[_t227_array_iter].elem1);
              flick_fluke_decode_char8(4, iop->data[_t227_array_iter].elem2);
              flick_fluke_decode_end_chunk(5);
            }
          flick_fluke_decode_new_chunk(5);
          flick_fluke_decode_signed16(1, iop->last);
          flick_fluke_decode_signed16(3, outp->first);
          _t228_array_length = 50;
          flick_fluke_decode_end_chunk(5);
          for (_t230_array_iter = 0; _t230_array_iter < _t228_array_length; _t230_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
              flick_fluke_decode_signed32(0, outp->data[_t230_array_iter].elem1);
              flick_fluke_decode_char8(4, outp->data[_t230_array_iter].elem2);
              flick_fluke_decode_end_chunk(5);
            }
          flick_fluke_decode_new_chunk(5);
          flick_fluke_decode_signed16(1, outp->last);
          flick_fluke_decode_signed16(3, _return.first);
          _t231_array_length = 50;
          flick_fluke_decode_end_chunk(5);
          for (_t233_array_iter = 0; _t233_array_iter < _t231_array_length; _t233_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
              flick_fluke_decode_signed32(0, _return.data[_t233_array_iter].elem1);
              flick_fluke_decode_char8(4, _return.data[_t233_array_iter].elem2);
              flick_fluke_decode_end_chunk(5);
            }
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_signed16(1, _return.last);
          flick_fluke_decode_end_chunk(3);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(769);
  }
  flick_fluke_client_end_decode();
  return _return;
}

struct cCLd arrays_test_cCLd(mom_ref_t _obj, const struct cCLd *inp, struct cCLd *iop, struct cCLd *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct cCLd _return;

  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t240_array_length;
    flick_unsigned8_t _t242_array_iter;
    flick_unsigned8_t _t243_array_length;
    flick_unsigned8_t _t245_array_iter;

    flick_fluke_encode_new_glob(522);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_arrays_test_cCLd);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, inp->first);
    _t240_array_length = 50;
    flick_fluke_encode_end_chunk(5);
    for (_t242_array_iter = 0; _t242_array_iter < _t240_array_length; _t242_array_iter++)
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, inp->data[_t242_array_iter].elem1);
        flick_fluke_encode_end_chunk(1);
        flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
        flick_fluke_encode_signed32(0, inp->data[_t242_array_iter].elem2);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_new_chunk_align(9, 3, 2, 0);
    flick_fluke_encode_float64(0, inp->last);
    flick_fluke_encode_char8(8, iop->first);
    _t243_array_length = 50;
    flick_fluke_encode_end_chunk(9);
    for (_t245_array_iter = 0; _t245_array_iter < _t243_array_length; _t245_array_iter++)
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, iop->data[_t245_array_iter].elem1);
        flick_fluke_encode_end_chunk(1);
        flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
        flick_fluke_encode_signed32(0, iop->data[_t245_array_iter].elem2);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_new_chunk_align(8, 3, 2, 0);
    flick_fluke_encode_float64(0, iop->last);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(522);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(781);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t255_array_length;
          flick_unsigned8_t _t257_array_iter;
          flick_unsigned8_t _t258_array_length;
          flick_unsigned8_t _t260_array_iter;
          flick_unsigned8_t _t261_array_length;
          flick_unsigned8_t _t263_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, iop->first);
          _t255_array_length = 50;
          flick_fluke_decode_end_chunk(1);
          for (_t257_array_iter = 0; _t257_array_iter < _t255_array_length; _t257_array_iter++)
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_char8(0, iop->data[_t257_array_iter].elem1);
              flick_fluke_decode_end_chunk(1);
              flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
              flick_fluke_decode_signed32(0, iop->data[_t257_array_iter].elem2);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk_align(9, 3, 2, 0);
          flick_fluke_decode_float64(0, iop->last);
          flick_fluke_decode_char8(8, outp->first);
          _t258_array_length = 50;
          flick_fluke_decode_end_chunk(9);
          for (_t260_array_iter = 0; _t260_array_iter < _t258_array_length; _t260_array_iter++)
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_char8(0, outp->data[_t260_array_iter].elem1);
              flick_fluke_decode_end_chunk(1);
              flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
              flick_fluke_decode_signed32(0, outp->data[_t260_array_iter].elem2);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk_align(9, 3, 2, 0);
          flick_fluke_decode_float64(0, outp->last);
          flick_fluke_decode_char8(8, _return.first);
          _t261_array_length = 50;
          flick_fluke_decode_end_chunk(9);
          for (_t263_array_iter = 0; _t263_array_iter < _t261_array_length; _t263_array_iter++)
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_char8(0, _return.data[_t263_array_iter].elem1);
              flick_fluke_decode_end_chunk(1);
              flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
              flick_fluke_decode_signed32(0, _return.data[_t263_array_iter].elem2);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk_align(8, 3, 2, 0);
          flick_fluke_decode_float64(0, _return.last);
          flick_fluke_decode_end_chunk(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(781);
  }
  flick_fluke_client_end_decode();
  return _return;
}

struct dCLc arrays_test_dCLc(mom_ref_t _obj, const struct dCLc *inp, struct dCLc *iop, struct dCLc *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct dCLc _return;

  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t270_array_length;
    flick_unsigned8_t _t272_array_iter;
    flick_unsigned8_t _t273_array_length;
    flick_unsigned8_t _t275_array_iter;

    flick_fluke_encode_new_glob(833);
    flick_fluke_encode_new_chunk(16);
    flick_fluke_encode_unsigned32(0, req_arrays_test_dCLc);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, inp->first);
    _t270_array_length = 50;
    flick_fluke_encode_end_chunk(16);
    for (_t272_array_iter = 0; _t272_array_iter < _t270_array_length; _t272_array_iter++)
      {
        flick_fluke_encode_new_chunk(8);
        flick_fluke_encode_char8(0, inp->data[_t272_array_iter].elem1);
        flick_fluke_encode_signed32(4, inp->data[_t272_array_iter].elem2);
        flick_fluke_encode_end_chunk(8);
      }
    flick_fluke_encode_new_chunk(1);
    flick_fluke_encode_char8(0, inp->last);
    flick_fluke_encode_end_chunk(1);
    flick_fluke_encode_new_chunk_align(8, 3, 2, 1);
    flick_fluke_encode_float64(0, iop->first);
    _t273_array_length = 50;
    flick_fluke_encode_end_chunk(8);
    for (_t275_array_iter = 0; _t275_array_iter < _t273_array_length; _t275_array_iter++)
      {
        flick_fluke_encode_new_chunk(8);
        flick_fluke_encode_char8(0, iop->data[_t275_array_iter].elem1);
        flick_fluke_encode_signed32(4, iop->data[_t275_array_iter].elem2);
        flick_fluke_encode_end_chunk(8);
      }
    flick_fluke_encode_new_chunk(1);
    flick_fluke_encode_char8(0, iop->last);
    flick_fluke_encode_end_chunk(1);
    flick_fluke_encode_end_glob(833);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(1249);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t285_array_length;
          flick_unsigned8_t _t287_array_iter;
          flick_unsigned8_t _t288_array_length;
          flick_unsigned8_t _t290_array_iter;
          flick_unsigned8_t _t291_array_length;
          flick_unsigned8_t _t293_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_float64(4, iop->first);
          _t285_array_length = 50;
          flick_fluke_decode_end_chunk(12);
          for (_t287_array_iter = 0; _t287_array_iter < _t285_array_length; _t287_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_char8(0, iop->data[_t287_array_iter].elem1);
              flick_fluke_decode_signed32(4, iop->data[_t287_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, iop->last);
          flick_fluke_decode_end_chunk(1);
          flick_fluke_decode_new_chunk_align(8, 3, 2, 1);
          flick_fluke_decode_float64(0, outp->first);
          _t288_array_length = 50;
          flick_fluke_decode_end_chunk(8);
          for (_t290_array_iter = 0; _t290_array_iter < _t288_array_length; _t290_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_char8(0, outp->data[_t290_array_iter].elem1);
              flick_fluke_decode_signed32(4, outp->data[_t290_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, outp->last);
          flick_fluke_decode_end_chunk(1);
          flick_fluke_decode_new_chunk_align(8, 3, 2, 1);
          flick_fluke_decode_float64(0, _return.first);
          _t291_array_length = 50;
          flick_fluke_decode_end_chunk(8);
          for (_t293_array_iter = 0; _t293_array_iter < _t291_array_length; _t293_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_char8(0, _return.data[_t293_array_iter].elem1);
              flick_fluke_decode_signed32(4, _return.data[_t293_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, _return.last);
          flick_fluke_decode_end_chunk(1);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(1249);
  }
  flick_fluke_client_end_decode();
  return _return;
}

struct sCLs arrays_test_sCLs(mom_ref_t _obj, const struct sCLs *inp, struct sCLs *iop, struct sCLs *outp, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct sCLs _return;

  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t300_array_length;
    flick_unsigned8_t _t302_array_iter;
    flick_unsigned8_t _t303_array_length;
    flick_unsigned8_t _t305_array_iter;

    flick_fluke_encode_new_glob(812);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_arrays_test_sCLs);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, inp->first);
    _t300_array_length = 50;
    flick_fluke_encode_end_chunk(6);
    for (_t302_array_iter = 0; _t302_array_iter < _t300_array_length; _t302_array_iter++)
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, inp->data[_t302_array_iter].elem1);
        flick_fluke_encode_end_chunk(1);
        flick_fluke_encode_new_chunk_align(4, 2, 1, 1);
        flick_fluke_encode_signed32(0, inp->data[_t302_array_iter].elem2);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_signed16(0, inp->last);
    flick_fluke_encode_signed16(2, iop->first);
    _t303_array_length = 50;
    flick_fluke_encode_end_chunk(4);
    for (_t305_array_iter = 0; _t305_array_iter < _t303_array_length; _t305_array_iter++)
      {
        flick_fluke_encode_new_chunk(8);
        flick_fluke_encode_char8(0, iop->data[_t305_array_iter].elem1);
        flick_fluke_encode_signed32(4, iop->data[_t305_array_iter].elem2);
        flick_fluke_encode_end_chunk(8);
      }
    flick_fluke_encode_new_chunk(2);
    flick_fluke_encode_signed16(0, iop->last);
    flick_fluke_encode_end_chunk(2);
    flick_fluke_encode_end_glob(812);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(1216);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t315_array_length;
          flick_unsigned8_t _t317_array_iter;
          flick_unsigned8_t _t318_array_length;
          flick_unsigned8_t _t320_array_iter;
          flick_unsigned8_t _t321_array_length;
          flick_unsigned8_t _t323_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, iop->first);
          _t315_array_length = 50;
          flick_fluke_decode_end_chunk(2);
          for (_t317_array_iter = 0; _t317_array_iter < _t315_array_length; _t317_array_iter++)
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_char8(0, iop->data[_t317_array_iter].elem1);
              flick_fluke_decode_end_chunk(1);
              flick_fluke_decode_new_chunk_align(4, 2, 1, 1);
              flick_fluke_decode_signed32(0, iop->data[_t317_array_iter].elem2);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed16(0, iop->last);
          flick_fluke_decode_signed16(2, outp->first);
          _t318_array_length = 50;
          flick_fluke_decode_end_chunk(4);
          for (_t320_array_iter = 0; _t320_array_iter < _t318_array_length; _t320_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_char8(0, outp->data[_t320_array_iter].elem1);
              flick_fluke_decode_signed32(4, outp->data[_t320_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed16(0, outp->last);
          flick_fluke_decode_signed16(2, _return.first);
          _t321_array_length = 50;
          flick_fluke_decode_end_chunk(4);
          for (_t323_array_iter = 0; _t323_array_iter < _t321_array_length; _t323_array_iter++)
            {
              flick_fluke_decode_new_chunk(8);
              flick_fluke_decode_char8(0, _return.data[_t323_array_iter].elem1);
              flick_fluke_decode_signed32(4, _return.data[_t323_array_iter].elem2);
              flick_fluke_decode_end_chunk(8);
            }
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, _return.last);
          flick_fluke_decode_end_chunk(2);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(1216);
  }
  flick_fluke_client_end_decode();
  return _return;
}

