#include "constant-6-client.h"

void flick_marshal_stub_mush(flick_marshal_stream_t _stream, const struct mush *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->x);
  flick_fluke_encode_end_chunk(4);
  switch (_data->x)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->mush_u.foo);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->mush_u.bar);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_sun_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        break;
      }
    }
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_mush(flick_marshal_stream_t _stream, struct mush *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->x);
  flick_fluke_decode_end_chunk(4);
  switch (_data->x)
    {
    case 1:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->mush_u.foo);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->mush_u.bar);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        break;
      }
    }
  flick_fluke_decode_end_glob(8);
}

