#include "constant-server.h"

void flick_marshal_stub_N(flick_marshal_stream_t _stream, const N *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_N(flick_marshal_stream_t _stream, N *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_E(flick_marshal_stream_t _stream, const E *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->cause);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_E(flick_marshal_stream_t _stream, E *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->cause);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_F(flick_marshal_stream_t _stream, const F *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->type);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_F(flick_marshal_stream_t _stream, F *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->type);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_M_N(flick_marshal_stream_t _stream, const M_N *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_M_N(flick_marshal_stream_t _stream, M_N *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_M_E(flick_marshal_stream_t _stream, const M_E *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->cause);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_M_E(flick_marshal_stream_t _stream, M_E *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->cause);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_M_A_N(flick_marshal_stream_t _stream, const M_A_N *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_M_A_N(flick_marshal_stream_t _stream, M_A_N *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_M_A_E(flick_marshal_stream_t _stream, const M_A_E *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->cause);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_M_A_E(flick_marshal_stream_t _stream, M_A_E *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->cause);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_M_A(flick_marshal_stream_t _stream, const M_A *_data)
{
}

void flick_unmarshal_stub_M_A(flick_marshal_stream_t _stream, M_A *_data)
{
}

mom_dispatch_action_t M_A_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t4_switch_tag;

    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t4_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t4_switch_tag)
      {
      case req_A_foo:
        {
          {
            M_A *_obj;
            M_A_N _local_x;
            M_A_N *_local_y;
            M_A_N *_local_z;
            mom_exc_t *_ev;
            M_A_N _return;
            M_A_N _t5_storage;
            mom_exc_t _t6_storage;
            M_A_N _t7_storage;

            _obj = (M_A *)_dispatch_obj;
            _local_y = &_t5_storage;
            _ev = &_t6_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_unsigned32(0, _local_x);
            _local_z = &_t7_storage;
            flick_fluke_decode_unsigned32(4, *_local_z);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            flick_mom_init_environment();
            _return = M_A_server_foo(_obj, _local_x, _local_y, _local_z, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_unsigned32(0, *_local_y);
                  flick_fluke_encode_unsigned32(4, *_local_z);
                  flick_fluke_encode_unsigned32(8, _return);
                  flick_fluke_encode_end_chunk(12);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  switch (_ev->_type)
                    {
                    case exc_M_A_E:
                      {
                        flick_fluke_encode_new_chunk(2);
                        flick_fluke_encode_signed16(0, ((M_A_E *)(_ev->_except))->cause);
                        mom_flick_free((M_A_E *)(_ev->_except));
                        flick_fluke_encode_end_chunk(2);
                        break;
                      }
                    case exc_F:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, ((F *)(_ev->_except))->type);
                        mom_flick_free((F *)(_ev->_except));
                        flick_fluke_encode_end_chunk(4);
                        break;
                      }
                    default:
                      {
                        flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VOID_UNION, fluke, fluke);
                        break;
                      }
                    }
                }
              }
            flick_fluke_encode_end_glob(16);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(12);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
