#include "parm_-client.h"

void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const struct FStruct *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->a);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->a);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const struct VStruct *_data)
{
  flick_fluke_encode_longstring(_data->a, null_flick_free, fluke);
}

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_fluke_decode_longstring(_data->a, mom_flick_alloc, fluke);
}

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const struct FUnion *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->_u.x);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z);
        flick_fluke_encode_end_chunk(1);
        break;
      }
    }
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->_u.x);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z);
        flick_fluke_decode_end_chunk(1);
        break;
      }
    }
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const struct VUnion *_data)
{
  flick_fluke_encode_new_glob(5);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_encode_end_glob(5);
        flick_fluke_encode_longstring(_data->_u.a, null_flick_free, fluke);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z);
        flick_fluke_encode_end_chunk(1);
        flick_fluke_encode_end_glob(5);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_fluke_decode_new_glob(5);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_decode_end_glob(5);
        flick_fluke_decode_longstring(_data->_u.a, mom_flick_alloc, fluke);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z);
        flick_fluke_decode_end_chunk(1);
        flick_fluke_decode_end_glob(5);
        break;
      }
    }
}

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 10;
  flick_fluke_encode_new_glob(40);
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_end_glob(40);
}

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 10;
  flick_fluke_decode_new_glob(40);
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(40);
}

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data)
{
  unsigned long int _t7_array_iter;

  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->_buffer[_t7_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  unsigned long int _t9_array_iter;

  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(int32_t ));
  flick_fluke_decode_end_chunk(4);
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->_buffer[_t9_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(44);
}

int16_t test_Short(mom_ref_t _obj, int16_t a, int16_t *b, int16_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int16_t _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test_Short);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, a);
    flick_fluke_encode_signed16(6, *b);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(10);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(6);
          flick_fluke_decode_signed16(0, *b);
          flick_fluke_decode_signed16(2, *c);
          flick_fluke_decode_signed16(4, _return);
          flick_fluke_decode_end_chunk(6);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(10);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int32_t test_Long(mom_ref_t _obj, int32_t a, int32_t *b, int32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int32_t _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test_Long);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a);
    flick_fluke_encode_signed32(8, *b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_signed32(0, *b);
          flick_fluke_decode_signed32(4, *c);
          flick_fluke_decode_signed32(8, _return);
          flick_fluke_decode_end_chunk(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(16);
  }
  flick_fluke_client_end_decode();
  return _return;
}

u_int16_t test_UShort(mom_ref_t _obj, u_int16_t a, u_int16_t *b, u_int16_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  u_int16_t _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test_UShort);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned16(4, a);
    flick_fluke_encode_unsigned16(6, *b);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(10);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(6);
          flick_fluke_decode_unsigned16(0, *b);
          flick_fluke_decode_unsigned16(2, *c);
          flick_fluke_decode_unsigned16(4, _return);
          flick_fluke_decode_end_chunk(6);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(10);
  }
  flick_fluke_client_end_decode();
  return _return;
}

u_int32_t test_ULong(mom_ref_t _obj, u_int32_t a, u_int32_t *b, u_int32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  u_int32_t _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test_ULong);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, a);
    flick_fluke_encode_unsigned32(8, *b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_unsigned32(0, *b);
          flick_fluke_decode_unsigned32(4, *c);
          flick_fluke_decode_unsigned32(8, _return);
          flick_fluke_decode_end_chunk(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(16);
  }
  flick_fluke_client_end_decode();
  return _return;
}

float test_Float(mom_ref_t _obj, float a, float *b, float *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  float _return = 0.0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test_Float);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float32(4, a);
    flick_fluke_encode_float32(8, *b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_float32(0, *b);
          flick_fluke_decode_float32(4, *c);
          flick_fluke_decode_float32(8, _return);
          flick_fluke_decode_end_chunk(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(16);
  }
  flick_fluke_client_end_decode();
  return _return;
}

int test_Boolean(mom_ref_t _obj, int a, int *b, int *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int _return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_test_Boolean);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, a);
    flick_fluke_encode_unsigned8(5, *b);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_unsigned8(0, *b);
          flick_fluke_decode_unsigned8(1, *c);
          flick_fluke_decode_unsigned8(2, _return);
          flick_fluke_decode_end_chunk(3);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(7);
  }
  flick_fluke_client_end_decode();
  return _return;
}

char test_Char(mom_ref_t _obj, char a, char *b, char *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char _return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_test_Char);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, a);
    flick_fluke_encode_char8(5, *b);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_char8(0, *b);
          flick_fluke_decode_char8(1, *c);
          flick_fluke_decode_char8(2, _return);
          flick_fluke_decode_end_chunk(3);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(7);
  }
  flick_fluke_client_end_decode();
  return _return;
}

u_int8_t test_Octet(mom_ref_t _obj, u_int8_t a, u_int8_t *b, u_int8_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  u_int8_t _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_test_Octet);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, a);
    flick_fluke_encode_unsigned8(5, *b);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_unsigned8(0, *b);
          flick_fluke_decode_unsigned8(1, *c);
          flick_fluke_decode_unsigned8(2, _return);
          flick_fluke_decode_end_chunk(3);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(7);
  }
  flick_fluke_client_end_decode();
  return _return;
}

Enumeration test_Enum(mom_ref_t _obj, Enumeration a, Enumeration *b, Enumeration *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  Enumeration _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test_Enum);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, a);
    flick_fluke_encode_unsigned32(8, *b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_unsigned32(0, *b);
          flick_fluke_decode_unsigned32(4, *c);
          flick_fluke_decode_unsigned32(8, _return);
          flick_fluke_decode_end_chunk(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(16);
  }
  flick_fluke_client_end_decode();
  return _return;
}

struct FStruct test_FixedStruct(mom_ref_t _obj, const struct FStruct *a, struct FStruct *b, struct FStruct *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct FStruct _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test_FixedStruct);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, a->a);
    flick_fluke_encode_signed16(6, b->a);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(10);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(6);
          flick_fluke_decode_signed16(0, b->a);
          flick_fluke_decode_signed16(2, c->a);
          flick_fluke_decode_signed16(4, _return.a);
          flick_fluke_decode_end_chunk(6);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(10);
  }
  flick_fluke_client_end_decode();
  return _return;
}

struct VStruct *test_VarStruct(mom_ref_t _obj, const struct VStruct *a, struct VStruct *b, struct VStruct **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct VStruct *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_test_VarStruct);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(a->a, null_flick_free, fluke);
    flick_fluke_encode_longstring(b->a, null_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(b->a, mom_flick_alloc, fluke);
          *c = mom_flick_alloc(sizeof(struct VStruct ));
          flick_fluke_decode_longstring((*c)->a, mom_flick_alloc, fluke);
          _return = mom_flick_alloc(sizeof(struct VStruct ));
          flick_fluke_decode_longstring(_return->a, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

struct FUnion test_FixedUnion(mom_ref_t _obj, const struct FUnion *a, struct FUnion *b, struct FUnion *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct FUnion _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(20);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test_FixedUnion);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a->_d);
    flick_fluke_encode_end_chunk(8);
    switch (a->_d)
      {
      case 1:
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_encode_signed32(0, a->_u.x);
          flick_fluke_encode_end_chunk(4);
          break;
        }
      default:
        {
          flick_fluke_encode_new_chunk(1);
          flick_fluke_encode_char8(0, a->_u.z);
          flick_fluke_encode_end_chunk(1);
          break;
        }
      }
    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
    flick_fluke_encode_signed32(0, b->_d);
    flick_fluke_encode_end_chunk(4);
    switch (b->_d)
      {
      case 1:
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_encode_signed32(0, b->_u.x);
          flick_fluke_encode_end_chunk(4);
          break;
        }
      default:
        {
          flick_fluke_encode_new_chunk(1);
          flick_fluke_encode_char8(0, b->_u.z);
          flick_fluke_encode_end_chunk(1);
          break;
        }
      }
    flick_fluke_encode_end_glob(20);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(28);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, b->_d);
          flick_fluke_decode_end_chunk(4);
          switch (b->_d)
            {
            case 1:
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, b->_u.x);
                flick_fluke_decode_end_chunk(4);
                break;
              }
            default:
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, b->_u.z);
                flick_fluke_decode_end_chunk(1);
                break;
              }
            }
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, c->_d);
          flick_fluke_decode_end_chunk(4);
          switch (c->_d)
            {
            case 1:
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, c->_u.x);
                flick_fluke_decode_end_chunk(4);
                break;
              }
            default:
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, c->_u.z);
                flick_fluke_decode_end_chunk(1);
                break;
              }
            }
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, _return._d);
          flick_fluke_decode_end_chunk(4);
          switch (_return._d)
            {
            case 1:
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _return._u.x);
                flick_fluke_decode_end_chunk(4);
                break;
              }
            default:
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _return._u.z);
                flick_fluke_decode_end_chunk(1);
                break;
              }
            }
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(28);
  }
  flick_fluke_client_end_decode();
  return _return;
}

struct VUnion *test_VarUnion(mom_ref_t _obj, const struct VUnion *a, struct VUnion *b, struct VUnion **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct VUnion *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(9);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test_VarUnion);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a->_d);
    flick_fluke_encode_end_chunk(8);
    switch (a->_d)
      {
      case 1:
        {
          flick_fluke_encode_end_glob(9);
          flick_fluke_encode_longstring(a->_u.a, null_flick_free, fluke);
          break;
        }
      default:
        {
          flick_fluke_encode_new_chunk(1);
          flick_fluke_encode_char8(0, a->_u.z);
          flick_fluke_encode_end_chunk(1);
          flick_fluke_encode_end_glob(9);
          break;
        }
      }
    flick_fluke_encode_new_glob(5);
    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
    flick_fluke_encode_signed32(0, b->_d);
    flick_fluke_encode_end_chunk(4);
    switch (b->_d)
      {
      case 1:
        {
          flick_fluke_encode_end_glob(5);
          flick_fluke_encode_longstring(b->_u.a, null_flick_free, fluke);
          break;
        }
      default:
        {
          flick_fluke_encode_new_chunk(1);
          flick_fluke_encode_char8(0, b->_u.z);
          flick_fluke_encode_end_chunk(1);
          flick_fluke_encode_end_glob(5);
          break;
        }
      }
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(9);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, b->_d);
          flick_fluke_decode_end_chunk(4);
          switch (b->_d)
            {
            case 1:
              {
                flick_fluke_decode_end_glob(9);
                flick_fluke_decode_longstring(b->_u.a, mom_flick_alloc, fluke);
                break;
              }
            default:
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, b->_u.z);
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_end_glob(9);
                break;
              }
            }
          *c = mom_flick_alloc(sizeof(struct VUnion ));
          flick_fluke_decode_new_glob(5);
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, (*c)->_d);
          flick_fluke_decode_end_chunk(4);
          switch ((*c)->_d)
            {
            case 1:
              {
                flick_fluke_decode_end_glob(5);
                flick_fluke_decode_longstring((*c)->_u.a, mom_flick_alloc, fluke);
                break;
              }
            default:
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, (*c)->_u.z);
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_end_glob(5);
                break;
              }
            }
          _return = mom_flick_alloc(sizeof(struct VUnion ));
          flick_fluke_decode_new_glob(5);
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, _return->_d);
          flick_fluke_decode_end_chunk(4);
          switch (_return->_d)
            {
            case 1:
              {
                flick_fluke_decode_end_glob(5);
                flick_fluke_decode_longstring(_return->_u.a, mom_flick_alloc, fluke);
                break;
              }
            default:
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_char8(0, _return->_u.z);
                flick_fluke_decode_end_chunk(1);
                flick_fluke_decode_end_glob(5);
                break;
              }
            }
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(9);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(9);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char *test_String(mom_ref_t _obj, const char *a, char **b, char **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_test_String);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(a, null_flick_free, fluke);
    flick_fluke_encode_longstring(*b, mom_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(*b, mom_flick_alloc, fluke);
          flick_fluke_decode_longstring(*c, mom_flick_alloc, fluke);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char *test_BoundString(mom_ref_t _obj, const char *a, char **b, char **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_test_BoundString);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_alloced_string(a, fluke, 20);
    flick_fluke_encode_string(*b, mom_flick_free, fluke, 20);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_string(*b, mom_flick_alloc, fluke, 20);
          flick_fluke_decode_string(*c, mom_flick_alloc, fluke, 20);
          flick_fluke_decode_string(_return, mom_flick_alloc, fluke, 20);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

test_arr *test_Array(mom_ref_t _obj, test_arr a, test_arr b, test_arr c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  test_arr *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t16_array_length;
    flick_unsigned8_t _t18_array_iter;
    flick_unsigned8_t _t19_array_length;
    flick_unsigned8_t _t21_array_iter;

    flick_fluke_encode_new_glob(84);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_test_Array);
    /* Begin encode phase on parameters */
    _t16_array_length = 10;
    flick_fluke_encode_end_chunk(4);
    for (_t18_array_iter = 0; _t18_array_iter < _t16_array_length; _t18_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, a[_t18_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    _t19_array_length = 10;
    for (_t21_array_iter = 0; _t21_array_iter < _t19_array_length; _t21_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, b[_t21_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_end_glob(84);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(124);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          flick_unsigned8_t _t31_array_length;
          flick_unsigned8_t _t33_array_iter;
          flick_unsigned8_t _t34_array_length;
          flick_unsigned8_t _t36_array_iter;
          flick_unsigned8_t _t37_array_length;
          flick_unsigned8_t _t39_array_iter;

          /* Begin decode phase on parameters */
          _t31_array_length = 10;
          for (_t33_array_iter = 0; _t33_array_iter < _t31_array_length; _t33_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, b[_t33_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          _t34_array_length = 10;
          for (_t36_array_iter = 0; _t36_array_iter < _t34_array_length; _t36_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, c[_t36_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          _return = mom_flick_alloc(sizeof(test_arr ));
          _t37_array_length = 10;
          for (_t39_array_iter = 0; _t39_array_iter < _t37_array_length; _t39_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, (*_return)[_t39_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(124);
  }
  flick_fluke_client_end_decode();
  return _return;
}

test_seq *test_Sequence(mom_ref_t _obj, const test_seq *a, test_seq *b, test_seq **c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  test_seq *_return = 0;

  flick_fluke_client_start_encode();
  {
    unsigned long int _t45_array_iter;
    unsigned long int _t47_array_iter;

    flick_fluke_encode_new_glob(92);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test_Sequence);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, a->_length);
    flick_fluke_encode_end_chunk(8);
    for (_t45_array_iter = 0; _t45_array_iter < a->_length; _t45_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, a->_buffer[_t45_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, b->_length);
    flick_fluke_encode_end_chunk(4);
    for (_t47_array_iter = 0; _t47_array_iter < b->_length; _t47_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, b->_buffer[_t47_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_end_glob(92);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(136);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          unsigned long int _t55_array_iter;
          unsigned long int _t57_array_iter;
          unsigned long int _t59_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, b->_length);
          b->_buffer = mom_flick_alloc(b->_length * sizeof(int32_t ));
          flick_fluke_decode_end_chunk(4);
          for (_t55_array_iter = 0; _t55_array_iter < b->_length; _t55_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, b->_buffer[_t55_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          *c = mom_flick_alloc(sizeof(test_seq ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, (*c)->_length);
          (*c)->_buffer = mom_flick_alloc((*c)->_length * sizeof(int32_t ));
          flick_fluke_decode_end_chunk(4);
          for (_t57_array_iter = 0; _t57_array_iter < (*c)->_length; _t57_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, (*c)->_buffer[_t57_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          _return = mom_flick_alloc(sizeof(test_seq ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return->_length);
          _return->_buffer = mom_flick_alloc(_return->_length * sizeof(int32_t ));
          flick_fluke_decode_end_chunk(4);
          for (_t59_array_iter = 0; _t59_array_iter < _return->_length; _t59_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, _return->_buffer[_t59_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(136);
  }
  flick_fluke_client_end_decode();
  return _return;
}

