#include "string_-server.h"

void flick_marshal_stub_str(flick_marshal_stream_t _stream, const struct str *_data)
{
  flick_fluke_encode_string(_data->s10, mom_flick_free, fluke, 10);
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_encode_signed32(0, _data->a);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_longstring(_data->sx, mom_flick_free, fluke);
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk_align(2, 1, 0, 0);
  flick_fluke_encode_signed16(0, _data->b);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_str(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_fluke_decode_string(_data->s10, mom_flick_alloc, fluke, 10);
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_decode_signed32(0, _data->a);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_longstring(_data->sx, mom_flick_alloc, fluke);
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk_align(2, 1, 0, 0);
  flick_fluke_decode_signed16(0, _data->b);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
}

mom_dispatch_action_t test_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t8_switch_tag;

    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t8_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t8_switch_tag)
      {
      case req_test_String:
        {
          {
            test *_obj;
            char *_local_a;
            char **_local_b;
            char **_local_c;
            mom_exc_t *_ev;
            char *_return = 0;
            char *_t9_storage;
            mom_exc_t _t10_storage;
            char *_t11_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t9_storage;
            _ev = &_t10_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            flick_fluke_decode_auto_string(_local_a, auto_flick_alloc, fluke);
            _local_b = &_t11_storage;
            flick_fluke_decode_longstring(*_local_b, mom_flick_alloc, fluke);
            flick_mom_init_environment();
            _return = test_server_String(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(*_local_b, mom_flick_free, fluke);
                  flick_fluke_encode_longstring(*_local_c, mom_flick_free, fluke);
                  flick_fluke_encode_longstring(_return, mom_flick_free, fluke);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_Struct:
        {
          {
            test *_obj;
            struct str *_local_a;
            struct str *_local_b;
            struct str **_local_c;
            mom_exc_t *_ev;
            struct str *_return = 0;
            struct str *_t12_storage;
            mom_exc_t _t13_storage;
            struct str _t14_storage;
            struct str _t15_storage;

            _obj = (test *)_dispatch_obj;
            _local_c = &_t12_storage;
            _ev = &_t13_storage;
            /* Begin decode phase on parameters */
            _local_a = &_t14_storage;
            flick_fluke_decode_end_glob(4);
            flick_fluke_decode_auto_string(_local_a->s10, auto_flick_alloc, fluke);
            flick_fluke_decode_new_glob(4);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_decode_signed32(0, _local_a->a);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(4);
            flick_fluke_decode_auto_string(_local_a->sx, auto_flick_alloc, fluke);
            flick_fluke_decode_new_glob(2);
            flick_fluke_decode_new_chunk_align(2, 1, 0, 0);
            flick_fluke_decode_signed16(0, _local_a->b);
            _local_b = &_t15_storage;
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(2);
            flick_fluke_decode_string(_local_b->s10, mom_flick_alloc, fluke, 10);
            flick_fluke_decode_new_glob(4);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_decode_signed32(0, _local_b->a);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(4);
            flick_fluke_decode_longstring(_local_b->sx, mom_flick_alloc, fluke);
            flick_fluke_decode_new_glob(2);
            flick_fluke_decode_new_chunk_align(2, 1, 0, 0);
            flick_fluke_decode_signed16(0, _local_b->b);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(2);
            flick_mom_init_environment();
            _return = test_server_Struct(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_string(_local_b->s10, mom_flick_free, fluke, 10);
                  flick_fluke_encode_new_glob(4);
                  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                  flick_fluke_encode_signed32(0, _local_b->a);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(_local_b->sx, mom_flick_free, fluke);
                  flick_fluke_encode_new_glob(2);
                  flick_fluke_encode_new_chunk_align(2, 1, 0, 0);
                  flick_fluke_encode_signed16(0, _local_b->b);
                  flick_fluke_encode_end_chunk(2);
                  flick_fluke_encode_end_glob(2);
                  flick_fluke_encode_string((*_local_c)->s10, mom_flick_free, fluke, 10);
                  flick_fluke_encode_new_glob(4);
                  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                  flick_fluke_encode_signed32(0, (*_local_c)->a);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring((*_local_c)->sx, mom_flick_free, fluke);
                  flick_fluke_encode_new_glob(2);
                  flick_fluke_encode_new_chunk_align(2, 1, 0, 0);
                  flick_fluke_encode_signed16(0, (*_local_c)->b);
                  mom_flick_free(*_local_c);
                  flick_fluke_encode_end_chunk(2);
                  flick_fluke_encode_end_glob(2);
                  flick_fluke_encode_string(_return->s10, mom_flick_free, fluke, 10);
                  flick_fluke_encode_new_glob(4);
                  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                  flick_fluke_encode_signed32(0, _return->a);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(_return->sx, mom_flick_free, fluke);
                  flick_fluke_encode_new_glob(2);
                  flick_fluke_encode_new_chunk_align(2, 1, 0, 0);
                  flick_fluke_encode_signed16(0, _return->b);
                  mom_flick_free(_return);
                  flick_fluke_encode_end_chunk(2);
                  flick_fluke_encode_end_glob(2);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
