#include "parms-client.h"

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

void *void_test_2345(void *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  void *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_unsigned32(0, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_sun_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t3_storage;

            _return = &_t3_storage;
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t1_storage;

            _return = &_t1_storage;
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

char *char_test_2345(char *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  char *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(9);
    flick_iiop_encode_new_chunk(9);
    flick_cdr_encode_unsigned32(0, 1);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, *arg);
    flick_iiop_encode_end_chunk(9);
    flick_iiop_encode_end_glob(9);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_sun_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(5);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t7_storage;

            _return = &_t7_storage;
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, *_return);
            flick_iiop_decode_end_chunk(1);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(5);
    }
  } else {
    {
      flick_iiop_decode_new_glob(5);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t5_storage;

            _return = &_t5_storage;
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, *_return);
            flick_iiop_decode_end_chunk(1);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(5);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int *bool_test_2345(int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(9);
    flick_iiop_encode_new_chunk(9);
    flick_cdr_encode_unsigned32(0, 2);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned8(8, *arg);
    flick_iiop_encode_end_chunk(9);
    flick_iiop_encode_end_glob(9);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_sun_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(5);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t11_storage;

            _return = &_t11_storage;
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_unsigned8(0, *_return);
            flick_iiop_decode_end_chunk(1);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(5);
    }
  } else {
    {
      flick_iiop_decode_new_glob(5);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t9_storage;

            _return = &_t9_storage;
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_unsigned8(0, *_return);
            flick_iiop_decode_end_chunk(1);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(5);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

short int *short_test_2345(short int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  short int *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(10);
    flick_iiop_encode_new_chunk(10);
    flick_cdr_encode_unsigned32(0, 3);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, *arg);
    flick_iiop_encode_end_chunk(10);
    flick_iiop_encode_end_glob(10);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_sun_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(6);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t15_storage;

            _return = &_t15_storage;
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, *_return);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(6);
    }
  } else {
    {
      flick_iiop_decode_new_glob(6);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t13_storage;

            _return = &_t13_storage;
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, *_return);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(6);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

unsigned short int *ushort_test_2345(unsigned short int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  unsigned short int *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(10);
    flick_iiop_encode_new_chunk(10);
    flick_cdr_encode_unsigned32(0, 4);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned16(8, *arg);
    flick_iiop_encode_end_chunk(10);
    flick_iiop_encode_end_glob(10);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_sun_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(6);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned short int _t19_storage;

            _return = &_t19_storage;
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_unsigned16(0, *_return);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(6);
    }
  } else {
    {
      flick_iiop_decode_new_glob(6);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned short int _t17_storage;

            _return = &_t17_storage;
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_unsigned16(0, *_return);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(6);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int *long_test_2345(int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 5);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *arg);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_sun_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t23_storage;

            _return = &_t23_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t21_storage;

            _return = &_t21_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

unsigned int *ulong_test_2345(unsigned int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  unsigned int *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 6);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, *arg);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_sun_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned int _t27_storage;

            _return = &_t27_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned int _t25_storage;

            _return = &_t25_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

float *float_test_2345(float *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  float *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 7);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_float32(8, *arg);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_sun_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static float _t31_storage;

            _return = &_t31_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_float32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static float _t29_storage;

            _return = &_t29_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_float32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

double *double_test_2345(double *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  double *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_unsigned32(0, 8);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, *arg);
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(16);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_sun_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static double _t35_storage;

            _return = &_t35_storage;
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, *_return);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static double _t33_storage;

            _return = &_t33_storage;
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, *_return);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

