#include "parm_-client.h"

void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const struct FStruct *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->a);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->a);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const struct VStruct *_data)
{
  flick_mach3mig_encode_longstring(_data->a, null_flick_free, mach3mig);
}

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_mach3mig_decode_longstring(_data->a, CORBA_flick_alloc, mach3mig);
}

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const struct FUnion *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->_d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->_u.x);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    default:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_char8(0, _data->_u.z);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->_d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->_u.x);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    default:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_char8(0, _data->_u.z);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const struct VUnion *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->_d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_encode_end_glob(16);
        flick_mach3mig_encode_longstring(_data->_u.a, null_flick_free, mach3mig);
        break;
      }
    default:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_char8(0, _data->_u.z);
        flick_mach3mig_encode_end_chunk(8);
        flick_mach3mig_encode_end_glob(16);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->_d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_decode_end_glob(16);
        flick_mach3mig_decode_longstring(_data->_u.a, CORBA_flick_alloc, mach3mig);
        break;
      }
    default:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_char8(0, _data->_u.z);
        flick_mach3mig_decode_end_chunk(8);
        flick_mach3mig_decode_end_glob(16);
        break;
      }
    }
}

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 10;
  flick_mach3mig_array_encode_new_glob(52);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed32_type(0, _t0_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(long) * _t0_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(52);
}

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 10;
  flick_mach3mig_array_decode_new_glob(52);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed32_type(0, _t3_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(long) * _t3_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(52);
}

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data)
{
  unsigned long int _t7_array_iter;

  flick_mach3mig_encode_new_glob(60);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_signed32_type(8, _data->_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, _data->_buffer[_t7_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(60);
}

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  unsigned long int _t9_array_iter;

  flick_mach3mig_decode_new_glob(60);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_mach3mig_array_decode_signed32_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, _data->_buffer[_t9_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(60);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_short test_Short(test _obj, CORBA_short a, CORBA_short *b, CORBA_short *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_short _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(72);
    flick_mach3mig_encode_new_chunk(72);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 'h');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 'r');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(56, a);
    flick_mach3mig_encode_signed16(64, *b);
    flick_mach3mig_encode_end_chunk(72);
    flick_mach3mig_encode_end_glob(72);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t18_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t18_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t18_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t19_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t19_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t19_switch_tag)
            {
            case '$':
              {
                char _t20_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t20_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t20_switch_tag)
                  {
                  case 'S':
                    {
                      char _t21_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t21_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t21_switch_tag)
                        {
                        case 'h':
                          {
                            char _t22_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t22_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t22_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t23_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t23_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t23_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t24_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t24_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t24_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t25_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t25_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t25_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_new_chunk(24);
                                                          flick_mach3mig_decode_signed16(0, *b);
                                                          flick_mach3mig_decode_signed16(8, *c);
                                                          flick_mach3mig_decode_signed16(16, _return);
                                                          flick_mach3mig_decode_end_chunk(24);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long test_Long(test _obj, CORBA_long a, CORBA_long *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 5);
    flick_mach3mig_encode_char8(8, 'L');
    flick_mach3mig_encode_char8(16, 'o');
    flick_mach3mig_encode_char8(24, 'n');
    flick_mach3mig_encode_char8(32, 'g');
    flick_mach3mig_encode_char8(40, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(48, a);
    flick_mach3mig_encode_signed32(56, *b);
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t33_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t33_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t33_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t34_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t34_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t34_switch_tag)
            {
            case '$':
              {
                char _t35_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t35_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t35_switch_tag)
                  {
                  case 'L':
                    {
                      char _t36_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t36_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t36_switch_tag)
                        {
                        case 'o':
                          {
                            char _t37_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t37_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t37_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t38_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t38_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t38_switch_tag)
                                    {
                                    case 'g':
                                      {
                                        char _t39_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t39_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t39_switch_tag)
                                          {
                                          case 0:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _ev->_major);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_major)
                                                {
                                                case CORBA_NO_EXCEPTION:
                                                  {
                                                    /* Begin decode phase on parameters */
                                                    flick_mach3mig_decode_new_chunk(24);
                                                    flick_mach3mig_decode_signed32(0, *b);
                                                    flick_mach3mig_decode_signed32(8, *c);
                                                    flick_mach3mig_decode_signed32(16, _return);
                                                    flick_mach3mig_decode_end_chunk(24);
                                                    break;
                                                  }
                                                case CORBA_SYSTEM_EXCEPTION:
                                                  {
                                                    flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(88);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_unsigned_short test_UShort(test _obj, CORBA_unsigned_short a, CORBA_unsigned_short *b, CORBA_unsigned_short *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_unsigned_short _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(80);
    flick_mach3mig_encode_new_chunk(80);
    flick_mach3mig_encode_unsigned32(0, 7);
    flick_mach3mig_encode_char8(8, 'U');
    flick_mach3mig_encode_char8(16, 'S');
    flick_mach3mig_encode_char8(24, 'h');
    flick_mach3mig_encode_char8(32, 'o');
    flick_mach3mig_encode_char8(40, 'r');
    flick_mach3mig_encode_char8(48, 't');
    flick_mach3mig_encode_char8(56, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned16(64, a);
    flick_mach3mig_encode_unsigned16(72, *b);
    flick_mach3mig_encode_end_chunk(80);
    flick_mach3mig_encode_end_glob(80);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t49_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t49_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t49_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t50_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t50_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t50_switch_tag)
            {
            case '$':
              {
                char _t51_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t51_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t51_switch_tag)
                  {
                  case 'U':
                    {
                      char _t52_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t52_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t52_switch_tag)
                        {
                        case 'S':
                          {
                            char _t53_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t53_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t53_switch_tag)
                              {
                              case 'h':
                                {
                                  char _t54_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t54_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t54_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t55_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t55_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t55_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t56_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t56_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t56_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t57_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t57_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t57_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_signed32(0, _ev->_major);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_ev->_major)
                                                            {
                                                            case CORBA_NO_EXCEPTION:
                                                              {
                                                                /* Begin decode phase on parameters */
                                                                flick_mach3mig_decode_new_chunk(24);
                                                                flick_mach3mig_decode_unsigned16(0, *b);
                                                                flick_mach3mig_decode_unsigned16(8, *c);
                                                                flick_mach3mig_decode_unsigned16(16, _return);
                                                                flick_mach3mig_decode_end_chunk(24);
                                                                break;
                                                              }
                                                            case CORBA_SYSTEM_EXCEPTION:
                                                              {
                                                                flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(104);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_unsigned_long test_ULong(test _obj, CORBA_unsigned_long a, CORBA_unsigned_long *b, CORBA_unsigned_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_unsigned_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(72);
    flick_mach3mig_encode_new_chunk(72);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 'U');
    flick_mach3mig_encode_char8(16, 'L');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 'n');
    flick_mach3mig_encode_char8(40, 'g');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(56, a);
    flick_mach3mig_encode_unsigned32(64, *b);
    flick_mach3mig_encode_end_chunk(72);
    flick_mach3mig_encode_end_glob(72);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t66_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t66_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t66_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t67_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t67_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t67_switch_tag)
            {
            case '$':
              {
                char _t68_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t68_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t68_switch_tag)
                  {
                  case 'U':
                    {
                      char _t69_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t69_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t69_switch_tag)
                        {
                        case 'L':
                          {
                            char _t70_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t70_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t70_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t71_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t71_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t71_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t72_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t72_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t72_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t73_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t73_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t73_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_new_chunk(24);
                                                          flick_mach3mig_decode_unsigned32(0, *b);
                                                          flick_mach3mig_decode_unsigned32(8, *c);
                                                          flick_mach3mig_decode_unsigned32(16, _return);
                                                          flick_mach3mig_decode_end_chunk(24);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_float test_Float(test _obj, CORBA_float a, CORBA_float *b, CORBA_float *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_float _return = 0.0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(72);
    flick_mach3mig_encode_new_chunk(72);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 'F');
    flick_mach3mig_encode_char8(16, 'l');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 'a');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_float32(56, a);
    flick_mach3mig_encode_float32(64, *b);
    flick_mach3mig_encode_end_chunk(72);
    flick_mach3mig_encode_end_glob(72);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t82_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t82_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t82_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t83_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t83_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t83_switch_tag)
            {
            case '$':
              {
                char _t84_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t84_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t84_switch_tag)
                  {
                  case 'F':
                    {
                      char _t85_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t85_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t85_switch_tag)
                        {
                        case 'l':
                          {
                            char _t86_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t86_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t86_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t87_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t87_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t87_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t88_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t88_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t88_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t89_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t89_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t89_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_new_chunk(24);
                                                          flick_mach3mig_decode_float32(0, *b);
                                                          flick_mach3mig_decode_float32(8, *c);
                                                          flick_mach3mig_decode_float32(16, _return);
                                                          flick_mach3mig_decode_end_chunk(24);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_boolean test_Boolean(test _obj, CORBA_boolean a, CORBA_boolean *b, CORBA_boolean *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_boolean _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 'B');
    flick_mach3mig_encode_char8(16, 'o');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 'l');
    flick_mach3mig_encode_char8(40, 'e');
    flick_mach3mig_encode_char8(48, 'a');
    flick_mach3mig_encode_char8(56, 'n');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_boolean(72, a);
    flick_mach3mig_encode_boolean(80, *b);
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t100_switch_tag;

    flick_mach3mig_decode_new_glob(112);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t100_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t100_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t101_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t101_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t101_switch_tag)
            {
            case '$':
              {
                char _t102_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t102_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t102_switch_tag)
                  {
                  case 'B':
                    {
                      char _t103_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t103_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t103_switch_tag)
                        {
                        case 'o':
                          {
                            char _t104_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t104_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t104_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t105_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t105_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t105_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t106_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t106_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t106_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t107_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t107_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t107_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t108_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t108_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t108_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t109_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t109_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t109_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_new_chunk(24);
                                                                      flick_mach3mig_decode_boolean(0, *b);
                                                                      flick_mach3mig_decode_boolean(8, *c);
                                                                      flick_mach3mig_decode_boolean(16, _return);
                                                                      flick_mach3mig_decode_end_chunk(24);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(112);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_char test_Char(test _obj, CORBA_char a, CORBA_char *b, CORBA_char *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_char _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 5);
    flick_mach3mig_encode_char8(8, 'C');
    flick_mach3mig_encode_char8(16, 'h');
    flick_mach3mig_encode_char8(24, 'a');
    flick_mach3mig_encode_char8(32, 'r');
    flick_mach3mig_encode_char8(40, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_char8(48, a);
    flick_mach3mig_encode_char8(56, *b);
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t117_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t117_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t117_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t118_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t118_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t118_switch_tag)
            {
            case '$':
              {
                char _t119_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t119_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t119_switch_tag)
                  {
                  case 'C':
                    {
                      char _t120_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t120_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t120_switch_tag)
                        {
                        case 'h':
                          {
                            char _t121_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t121_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t121_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t122_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t122_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t122_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t123_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t123_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t123_switch_tag)
                                          {
                                          case 0:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _ev->_major);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_major)
                                                {
                                                case CORBA_NO_EXCEPTION:
                                                  {
                                                    /* Begin decode phase on parameters */
                                                    flick_mach3mig_decode_new_chunk(24);
                                                    flick_mach3mig_decode_char8(0, *b);
                                                    flick_mach3mig_decode_char8(8, *c);
                                                    flick_mach3mig_decode_char8(16, _return);
                                                    flick_mach3mig_decode_end_chunk(24);
                                                    break;
                                                  }
                                                case CORBA_SYSTEM_EXCEPTION:
                                                  {
                                                    flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(88);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_octet test_Octet(test _obj, CORBA_octet a, CORBA_octet *b, CORBA_octet *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_octet _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(72);
    flick_mach3mig_encode_new_chunk(72);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 'O');
    flick_mach3mig_encode_char8(16, 'c');
    flick_mach3mig_encode_char8(24, 't');
    flick_mach3mig_encode_char8(32, 'e');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned8(56, a);
    flick_mach3mig_encode_unsigned8(64, *b);
    flick_mach3mig_encode_end_chunk(72);
    flick_mach3mig_encode_end_glob(72);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t132_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t132_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t132_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t133_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t133_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t133_switch_tag)
            {
            case '$':
              {
                char _t134_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t134_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t134_switch_tag)
                  {
                  case 'O':
                    {
                      char _t135_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t135_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t135_switch_tag)
                        {
                        case 'c':
                          {
                            char _t136_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t136_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t136_switch_tag)
                              {
                              case 't':
                                {
                                  char _t137_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t137_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t137_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t138_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t138_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t138_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t139_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t139_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t139_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_new_chunk(24);
                                                          flick_mach3mig_decode_unsigned8(0, *b);
                                                          flick_mach3mig_decode_unsigned8(8, *c);
                                                          flick_mach3mig_decode_unsigned8(16, _return);
                                                          flick_mach3mig_decode_end_chunk(24);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

Enumeration test_Enum(test _obj, Enumeration a, Enumeration *b, Enumeration *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  Enumeration _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 5);
    flick_mach3mig_encode_char8(8, 'E');
    flick_mach3mig_encode_char8(16, 'n');
    flick_mach3mig_encode_char8(24, 'u');
    flick_mach3mig_encode_char8(32, 'm');
    flick_mach3mig_encode_char8(40, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(48, a);
    flick_mach3mig_encode_unsigned32(56, *b);
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t147_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t147_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t147_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t148_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t148_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t148_switch_tag)
            {
            case '$':
              {
                char _t149_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t149_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t149_switch_tag)
                  {
                  case 'E':
                    {
                      char _t150_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t150_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t150_switch_tag)
                        {
                        case 'n':
                          {
                            char _t151_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t151_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t151_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t152_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t152_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t152_switch_tag)
                                    {
                                    case 'm':
                                      {
                                        char _t153_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t153_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t153_switch_tag)
                                          {
                                          case 0:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _ev->_major);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_major)
                                                {
                                                case CORBA_NO_EXCEPTION:
                                                  {
                                                    /* Begin decode phase on parameters */
                                                    flick_mach3mig_decode_new_chunk(24);
                                                    flick_mach3mig_decode_unsigned32(0, *b);
                                                    flick_mach3mig_decode_unsigned32(8, *c);
                                                    flick_mach3mig_decode_unsigned32(16, _return);
                                                    flick_mach3mig_decode_end_chunk(24);
                                                    break;
                                                  }
                                                case CORBA_SYSTEM_EXCEPTION:
                                                  {
                                                    flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(88);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct FStruct test_FixedStruct(test _obj, struct FStruct *a, struct FStruct *b, struct FStruct *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct FStruct _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(120);
    flick_mach3mig_encode_new_chunk(120);
    flick_mach3mig_encode_unsigned32(0, 12);
    flick_mach3mig_encode_char8(8, 'F');
    flick_mach3mig_encode_char8(16, 'i');
    flick_mach3mig_encode_char8(24, 'x');
    flick_mach3mig_encode_char8(32, 'e');
    flick_mach3mig_encode_char8(40, 'd');
    flick_mach3mig_encode_char8(48, 'S');
    flick_mach3mig_encode_char8(56, 't');
    flick_mach3mig_encode_char8(64, 'r');
    flick_mach3mig_encode_char8(72, 'u');
    flick_mach3mig_encode_char8(80, 'c');
    flick_mach3mig_encode_char8(88, 't');
    flick_mach3mig_encode_char8(96, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(104, a->a);
    flick_mach3mig_encode_signed16(112, b->a);
    flick_mach3mig_encode_end_chunk(120);
    flick_mach3mig_encode_end_glob(120);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t168_switch_tag;

    flick_mach3mig_decode_new_glob(144);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t168_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t168_switch_tag)
      {
      case (unsigned int) 13:
        {
          char _t169_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t169_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t169_switch_tag)
            {
            case '$':
              {
                char _t170_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t170_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t170_switch_tag)
                  {
                  case 'F':
                    {
                      char _t171_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t171_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t171_switch_tag)
                        {
                        case 'i':
                          {
                            char _t172_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t172_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t172_switch_tag)
                              {
                              case 'x':
                                {
                                  char _t173_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t173_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t173_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t174_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t174_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t174_switch_tag)
                                          {
                                          case 'd':
                                            {
                                              char _t175_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t175_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t175_switch_tag)
                                                {
                                                case 'S':
                                                  {
                                                    char _t176_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t176_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t176_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t177_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t177_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t177_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t178_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t178_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t178_switch_tag)
                                                                  {
                                                                  case 'u':
                                                                    {
                                                                      char _t179_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t179_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t179_switch_tag)
                                                                        {
                                                                        case 'c':
                                                                          {
                                                                            char _t180_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t180_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t180_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t181_switch_tag;

                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _t181_switch_tag);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_t181_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_ev->_major)
                                                                                          {
                                                                                          case CORBA_NO_EXCEPTION:
                                                                                            {
                                                                                              /* Begin decode phase on parameters */
                                                                                              flick_mach3mig_decode_new_chunk(24);
                                                                                              flick_mach3mig_decode_signed16(0, b->a);
                                                                                              flick_mach3mig_decode_signed16(8, c->a);
                                                                                              flick_mach3mig_decode_signed16(16, _return.a);
                                                                                              flick_mach3mig_decode_end_chunk(24);
                                                                                              break;
                                                                                            }
                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                            {
                                                                                              flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(144);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct VStruct *test_VarStruct(test _obj, struct VStruct *a, struct VStruct *b, struct VStruct **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct VStruct *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 'V');
    flick_mach3mig_encode_char8(16, 'a');
    flick_mach3mig_encode_char8(24, 'r');
    flick_mach3mig_encode_char8(32, 'S');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, 'r');
    flick_mach3mig_encode_char8(56, 'u');
    flick_mach3mig_encode_char8(64, 'c');
    flick_mach3mig_encode_char8(72, 't');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
    flick_mach3mig_encode_longstring(a->a, null_flick_free, mach3mig);
    flick_mach3mig_encode_longstring(b->a, null_flick_free, mach3mig);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t194_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t194_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t194_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t195_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t195_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t195_switch_tag)
            {
            case '$':
              {
                char _t196_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t196_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t196_switch_tag)
                  {
                  case 'V':
                    {
                      char _t197_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t197_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t197_switch_tag)
                        {
                        case 'a':
                          {
                            char _t198_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t198_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t198_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t199_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t199_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t199_switch_tag)
                                    {
                                    case 'S':
                                      {
                                        char _t200_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t200_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t200_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t201_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t201_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t201_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t202_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t202_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t202_switch_tag)
                                                      {
                                                      case 'u':
                                                        {
                                                          char _t203_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t203_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t203_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t204_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t204_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t204_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t205_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t205_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t205_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_end_glob(104);
                                                                                  flick_mach3mig_decode_longstring(b->a, CORBA_flick_alloc, mach3mig);
                                                                                  *c = CORBA_flick_alloc(sizeof(struct VStruct ));
                                                                                  flick_mach3mig_decode_longstring((*c)->a, CORBA_flick_alloc, mach3mig);
                                                                                  _return = CORBA_flick_alloc(sizeof(struct VStruct ));
                                                                                  flick_mach3mig_decode_longstring(_return->a, CORBA_flick_alloc, mach3mig);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(104);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(104);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(104);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(104);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct FUnion test_FixedUnion(test _obj, struct FUnion *a, struct FUnion *b, struct FUnion *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct FUnion _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(128);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 11);
    flick_mach3mig_encode_char8(8, 'F');
    flick_mach3mig_encode_char8(16, 'i');
    flick_mach3mig_encode_char8(24, 'x');
    flick_mach3mig_encode_char8(32, 'e');
    flick_mach3mig_encode_char8(40, 'd');
    flick_mach3mig_encode_char8(48, 'U');
    flick_mach3mig_encode_char8(56, 'n');
    flick_mach3mig_encode_char8(64, 'i');
    flick_mach3mig_encode_char8(72, 'o');
    flick_mach3mig_encode_char8(80, 'n');
    flick_mach3mig_encode_char8(88, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(96, a->_d);
    flick_mach3mig_encode_end_chunk(104);
    switch (a->_d)
      {
      case 1:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_signed32(0, a->_u.x);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      default:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_char8(0, a->_u.z);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      }
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, b->_d);
    flick_mach3mig_encode_end_chunk(8);
    switch (b->_d)
      {
      case 1:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_signed32(0, b->_u.x);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      default:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_char8(0, b->_u.z);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      }
    flick_mach3mig_encode_end_glob(128);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t219_switch_tag;

    flick_mach3mig_decode_new_glob(160);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t219_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t219_switch_tag)
      {
      case (unsigned int) 12:
        {
          char _t220_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t220_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t220_switch_tag)
            {
            case '$':
              {
                char _t221_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t221_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t221_switch_tag)
                  {
                  case 'F':
                    {
                      char _t222_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t222_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t222_switch_tag)
                        {
                        case 'i':
                          {
                            char _t223_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t223_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t223_switch_tag)
                              {
                              case 'x':
                                {
                                  char _t224_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t224_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t224_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t225_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t225_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t225_switch_tag)
                                          {
                                          case 'd':
                                            {
                                              char _t226_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t226_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t226_switch_tag)
                                                {
                                                case 'U':
                                                  {
                                                    char _t227_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t227_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t227_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t228_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t228_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t228_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t229_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t229_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t229_switch_tag)
                                                                  {
                                                                  case 'o':
                                                                    {
                                                                      char _t230_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t230_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t230_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t231_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t231_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t231_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_ev->_major)
                                                                                    {
                                                                                    case CORBA_NO_EXCEPTION:
                                                                                      {
                                                                                        /* Begin decode phase on parameters */
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, b->_d);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (b->_d)
                                                                                          {
                                                                                          case 1:
                                                                                            {
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_signed32(0, b->_u.x);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_char8(0, b->_u.z);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, c->_d);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (c->_d)
                                                                                          {
                                                                                          case 1:
                                                                                            {
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_signed32(0, c->_u.x);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_char8(0, c->_u.z);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, _return._d);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_return._d)
                                                                                          {
                                                                                          case 1:
                                                                                            {
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_signed32(0, _return._u.x);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_char8(0, _return._u.z);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                      {
                                                                                        flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(160);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct VUnion *test_VarUnion(test _obj, struct VUnion *a, struct VUnion *b, struct VUnion **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct VUnion *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(96);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 'V');
    flick_mach3mig_encode_char8(16, 'a');
    flick_mach3mig_encode_char8(24, 'r');
    flick_mach3mig_encode_char8(32, 'U');
    flick_mach3mig_encode_char8(40, 'n');
    flick_mach3mig_encode_char8(48, 'i');
    flick_mach3mig_encode_char8(56, 'o');
    flick_mach3mig_encode_char8(64, 'n');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(80, a->_d);
    flick_mach3mig_encode_end_chunk(88);
    switch (a->_d)
      {
      case 1:
        {
          flick_mach3mig_encode_end_glob(96);
          flick_mach3mig_encode_longstring(a->_u.a, null_flick_free, mach3mig);
          break;
        }
      default:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_char8(0, a->_u.z);
          flick_mach3mig_encode_end_chunk(8);
          flick_mach3mig_encode_end_glob(96);
          break;
        }
      }
    flick_mach3mig_encode_new_glob(16);
    flick_mach3mig_encode_new_chunk_align(8, 2, 0, 0);
    flick_mach3mig_encode_signed32(0, b->_d);
    flick_mach3mig_encode_end_chunk(8);
    switch (b->_d)
      {
      case 1:
        {
          flick_mach3mig_encode_end_glob(16);
          flick_mach3mig_encode_longstring(b->_u.a, null_flick_free, mach3mig);
          break;
        }
      default:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_char8(0, b->_u.z);
          flick_mach3mig_encode_end_chunk(8);
          flick_mach3mig_encode_end_glob(16);
          break;
        }
      }
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t243_switch_tag;

    flick_mach3mig_decode_new_glob(112);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t243_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t243_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t244_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t244_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t244_switch_tag)
            {
            case '$':
              {
                char _t245_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t245_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t245_switch_tag)
                  {
                  case 'V':
                    {
                      char _t246_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t246_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t246_switch_tag)
                        {
                        case 'a':
                          {
                            char _t247_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t247_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t247_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t248_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t248_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t248_switch_tag)
                                    {
                                    case 'U':
                                      {
                                        char _t249_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t249_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t249_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t250_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t250_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t250_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t251_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t251_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t251_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t252_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t252_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t252_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t253_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t253_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t253_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            /* Begin decode phase on parameters */
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, b->_d);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (b->_d)
                                                                              {
                                                                              case 1:
                                                                                {
                                                                                  flick_mach3mig_decode_end_glob(112);
                                                                                  flick_mach3mig_decode_longstring(b->_u.a, CORBA_flick_alloc, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, b->_u.z);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  flick_mach3mig_decode_end_glob(112);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            *c = CORBA_flick_alloc(sizeof(struct VUnion ));
                                                                            flick_mach3mig_decode_new_glob(16);
                                                                            flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
                                                                            flick_mach3mig_decode_signed32(0, (*c)->_d);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch ((*c)->_d)
                                                                              {
                                                                              case 1:
                                                                                {
                                                                                  flick_mach3mig_decode_end_glob(16);
                                                                                  flick_mach3mig_decode_longstring((*c)->_u.a, CORBA_flick_alloc, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, (*c)->_u.z);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  flick_mach3mig_decode_end_glob(16);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            _return = CORBA_flick_alloc(sizeof(struct VUnion ));
                                                                            flick_mach3mig_decode_new_glob(16);
                                                                            flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
                                                                            flick_mach3mig_decode_signed32(0, _return->_d);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_return->_d)
                                                                              {
                                                                              case 1:
                                                                                {
                                                                                  flick_mach3mig_decode_end_glob(16);
                                                                                  flick_mach3mig_decode_longstring(_return->_u.a, CORBA_flick_alloc, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _return->_u.z);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  flick_mach3mig_decode_end_glob(16);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(112);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(112);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(112);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(112);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(112);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_char *test_String(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_char *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 7);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 't');
    flick_mach3mig_encode_char8(24, 'r');
    flick_mach3mig_encode_char8(32, 'i');
    flick_mach3mig_encode_char8(40, 'n');
    flick_mach3mig_encode_char8(48, 'g');
    flick_mach3mig_encode_char8(56, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
    flick_mach3mig_encode_longstring(a, null_flick_free, mach3mig);
    flick_mach3mig_encode_longstring(*b, CORBA_flick_free, mach3mig);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t263_switch_tag;

    flick_mach3mig_decode_new_glob(80);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t263_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t263_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t264_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t264_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t264_switch_tag)
            {
            case '$':
              {
                char _t265_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t265_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t265_switch_tag)
                  {
                  case 'S':
                    {
                      char _t266_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t266_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t266_switch_tag)
                        {
                        case 't':
                          {
                            char _t267_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t267_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t267_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t268_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t268_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t268_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t269_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t269_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t269_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t270_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t270_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t270_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t271_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t271_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t271_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_signed32(0, _ev->_major);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_ev->_major)
                                                            {
                                                            case CORBA_NO_EXCEPTION:
                                                              {
                                                                /* Begin decode phase on parameters */
                                                                flick_mach3mig_decode_end_glob(80);
                                                                flick_mach3mig_decode_longstring(*b, CORBA_flick_alloc, mach3mig);
                                                                flick_mach3mig_decode_longstring(*c, CORBA_flick_alloc, mach3mig);
                                                                flick_mach3mig_decode_longstring(_return, CORBA_flick_alloc, mach3mig);
                                                                break;
                                                              }
                                                            case CORBA_SYSTEM_EXCEPTION:
                                                              {
                                                                flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(80);
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(80);
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(80);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(80);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(80);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(80);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(80);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(80);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(80);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(80);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(80);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_char *test_BoundString(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_char *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(104);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 12);
    flick_mach3mig_encode_char8(8, 'B');
    flick_mach3mig_encode_char8(16, 'o');
    flick_mach3mig_encode_char8(24, 'u');
    flick_mach3mig_encode_char8(32, 'n');
    flick_mach3mig_encode_char8(40, 'd');
    flick_mach3mig_encode_char8(48, 'S');
    flick_mach3mig_encode_char8(56, 't');
    flick_mach3mig_encode_char8(64, 'r');
    flick_mach3mig_encode_char8(72, 'i');
    flick_mach3mig_encode_char8(80, 'n');
    flick_mach3mig_encode_char8(88, 'g');
    flick_mach3mig_encode_char8(96, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(104);
    flick_mach3mig_encode_end_glob(104);
    flick_mach3mig_encode_alloced_string(a, mach3mig, 20);
    flick_mach3mig_encode_string(*b, CORBA_flick_free, mach3mig, 20);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t286_switch_tag;

    flick_mach3mig_decode_new_glob(120);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t286_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t286_switch_tag)
      {
      case (unsigned int) 13:
        {
          char _t287_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t287_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t287_switch_tag)
            {
            case '$':
              {
                char _t288_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t288_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t288_switch_tag)
                  {
                  case 'B':
                    {
                      char _t289_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t289_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t289_switch_tag)
                        {
                        case 'o':
                          {
                            char _t290_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t290_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t290_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t291_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t291_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t291_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t292_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t292_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t292_switch_tag)
                                          {
                                          case 'd':
                                            {
                                              char _t293_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t293_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t293_switch_tag)
                                                {
                                                case 'S':
                                                  {
                                                    char _t294_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t294_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t294_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t295_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t295_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t295_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t296_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t296_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t296_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t297_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t297_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t297_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t298_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t298_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t298_switch_tag)
                                                                              {
                                                                              case 'g':
                                                                                {
                                                                                  char _t299_switch_tag;

                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _t299_switch_tag);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_t299_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_ev->_major)
                                                                                          {
                                                                                          case CORBA_NO_EXCEPTION:
                                                                                            {
                                                                                              /* Begin decode phase on parameters */
                                                                                              flick_mach3mig_decode_end_glob(120);
                                                                                              flick_mach3mig_decode_string(*b, CORBA_flick_alloc, mach3mig, 20);
                                                                                              flick_mach3mig_decode_string(*c, CORBA_flick_alloc, mach3mig, 20);
                                                                                              flick_mach3mig_decode_string(_return, CORBA_flick_alloc, mach3mig, 20);
                                                                                              break;
                                                                                            }
                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                            {
                                                                                              flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                              flick_mach3mig_decode_end_glob(120);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                              flick_mach3mig_decode_end_glob(120);
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(120);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(120);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(120);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

test_arr *test_Array(test _obj, test_arr a, test_arr b, test_arr c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  test_arr *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t306_array_length;
    flick_unsigned8_t _t308_array_iter;
    flick_unsigned8_t _t309_array_length;
    flick_unsigned8_t _t311_array_iter;

    flick_mach3mig_encode_new_glob(160);
    flick_mach3mig_encode_new_chunk(68);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 'A');
    flick_mach3mig_encode_char8(16, 'r');
    flick_mach3mig_encode_char8(24, 'r');
    flick_mach3mig_encode_char8(32, 'a');
    flick_mach3mig_encode_char8(40, 'y');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    _t306_array_length = 10;
    flick_mach3mig_array_encode_signed32_type(56, _t306_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(68);
#if 0 /* We don't need to ever to bit translation */
    for (_t308_array_iter = 0; _t308_array_iter < _t306_array_length; _t308_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, a[_t308_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(a, sizeof(long) * _t306_array_length, mach3mig_array);
#endif /* bcopy? */
    _t309_array_length = 10;
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, _t309_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
    for (_t311_array_iter = 0; _t311_array_iter < _t309_array_length; _t311_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, b[_t311_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(b, sizeof(long) * _t309_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(160);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t338_switch_tag;

    flick_mach3mig_decode_new_glob(228);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t338_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t338_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t339_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t339_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t339_switch_tag)
            {
            case '$':
              {
                char _t340_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t340_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t340_switch_tag)
                  {
                  case 'A':
                    {
                      char _t341_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t341_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t341_switch_tag)
                        {
                        case 'r':
                          {
                            char _t342_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t342_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t342_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t343_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t343_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t343_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t344_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t344_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t344_switch_tag)
                                          {
                                          case 'y':
                                            {
                                              char _t345_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t345_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t345_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          flick_unsigned8_t _t355_array_length;
                                                          flick_unsigned8_t _t357_array_iter;
                                                          flick_unsigned8_t _t358_array_length;
                                                          flick_unsigned8_t _t360_array_iter;
                                                          flick_unsigned8_t _t361_array_length;
                                                          flick_unsigned8_t _t363_array_iter;

                                                          /* Begin decode phase on parameters */
                                                          _t355_array_length = 10;
                                                          flick_mach3mig_array_decode_new_chunk(12);
                                                          flick_mach3mig_array_decode_signed32_type(0, _t355_array_length, 1, _long_type);
                                                          flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
                                                          for (_t357_array_iter = 0; _t357_array_iter < _t355_array_length; _t357_array_iter++)
                                                            {
                                                              flick_mach3mig_array_decode_new_chunk(4);
                                                              flick_mach3mig_array_decode_signed32(0, b[_t357_array_iter]);
                                                              flick_mach3mig_array_decode_end_chunk(4);
                                                            }
#else /* Always do a bcopy*/
                                                          flick_mach3mig_array_decode_bcopy(b, sizeof(long) * _t355_array_length, mach3mig_array);
#endif /* bcopy? */
                                                          _t358_array_length = 10;
                                                          flick_mach3mig_array_decode_new_chunk(12);
                                                          flick_mach3mig_array_decode_signed32_type(0, _t358_array_length, 1, _long_type);
                                                          flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
                                                          for (_t360_array_iter = 0; _t360_array_iter < _t358_array_length; _t360_array_iter++)
                                                            {
                                                              flick_mach3mig_array_decode_new_chunk(4);
                                                              flick_mach3mig_array_decode_signed32(0, c[_t360_array_iter]);
                                                              flick_mach3mig_array_decode_end_chunk(4);
                                                            }
#else /* Always do a bcopy*/
                                                          flick_mach3mig_array_decode_bcopy(c, sizeof(long) * _t358_array_length, mach3mig_array);
#endif /* bcopy? */
                                                          _return = CORBA_flick_alloc(sizeof(test_arr ));
                                                          _t361_array_length = 10;
                                                          flick_mach3mig_array_decode_new_chunk(12);
                                                          flick_mach3mig_array_decode_signed32_type(0, _t361_array_length, 1, _long_type);
                                                          flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
                                                          for (_t363_array_iter = 0; _t363_array_iter < _t361_array_length; _t363_array_iter++)
                                                            {
                                                              flick_mach3mig_array_decode_new_chunk(4);
                                                              flick_mach3mig_array_decode_signed32(0, (*_return)[_t363_array_iter]);
                                                              flick_mach3mig_array_decode_end_chunk(4);
                                                            }
#else /* Always do a bcopy*/
                                                          flick_mach3mig_array_decode_bcopy(*_return, sizeof(long) * _t361_array_length, mach3mig_array);
#endif /* bcopy? */
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(228);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

test_seq *test_Sequence(test _obj, test_seq *a, test_seq *b, test_seq **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  test_seq *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    unsigned long int _t369_array_iter;
    unsigned long int _t371_array_iter;

    flick_mach3mig_encode_new_glob(200);
    flick_mach3mig_encode_new_chunk(100);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 'q');
    flick_mach3mig_encode_char8(32, 'u');
    flick_mach3mig_encode_char8(40, 'e');
    flick_mach3mig_encode_char8(48, 'n');
    flick_mach3mig_encode_char8(56, 'c');
    flick_mach3mig_encode_char8(64, 'e');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(80, a->_length);
    flick_mach3mig_array_encode_signed32_type(88, a->_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(100);
#if 0 /* We don't need to ever to bit translation */
    for (_t369_array_iter = 0; _t369_array_iter < a->_length; _t369_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, a->_buffer[_t369_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(a->_buffer, sizeof(long) * a->_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_new_chunk(20);
    flick_mach3mig_encode_unsigned32(0, b->_length);
    flick_mach3mig_array_encode_signed32_type(8, b->_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
    for (_t371_array_iter = 0; _t371_array_iter < b->_length; _t371_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, b->_buffer[_t371_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(b->_buffer, sizeof(long) * b->_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(200);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t395_switch_tag;

    flick_mach3mig_decode_new_glob(276);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t395_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t395_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t396_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t396_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t396_switch_tag)
            {
            case '$':
              {
                char _t397_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t397_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t397_switch_tag)
                  {
                  case 'S':
                    {
                      char _t398_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t398_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t398_switch_tag)
                        {
                        case 'e':
                          {
                            char _t399_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t399_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t399_switch_tag)
                              {
                              case 'q':
                                {
                                  char _t400_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t400_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t400_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t401_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t401_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t401_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t402_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t402_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t402_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t403_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t403_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t403_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t404_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t404_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t404_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t405_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t405_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t405_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            unsigned long int _t413_array_iter;
                                                                            unsigned long int _t415_array_iter;
                                                                            unsigned long int _t417_array_iter;

                                                                            /* Begin decode phase on parameters */
                                                                            flick_mach3mig_decode_new_chunk(20);
                                                                            flick_mach3mig_decode_unsigned32(0, b->_length);
                                                                            b->_buffer = CORBA_flick_alloc(b->_length * sizeof(CORBA_long ));
                                                                            flick_mach3mig_array_decode_signed32_type(8, b->_length, 1, _long_type);
                                                                            flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
                                                                            for (_t413_array_iter = 0; _t413_array_iter < b->_length; _t413_array_iter++)
                                                                              {
                                                                                flick_mach3mig_array_decode_new_chunk(4);
                                                                                flick_mach3mig_array_decode_signed32(0, b->_buffer[_t413_array_iter]);
                                                                                flick_mach3mig_array_decode_end_chunk(4);
                                                                              }
#else /* Always do a bcopy*/
                                                                            flick_mach3mig_array_decode_bcopy(b->_buffer, sizeof(long) * b->_length, mach3mig_array);
#endif /* bcopy? */
                                                                            *c = CORBA_flick_alloc(sizeof(test_seq ));
                                                                            flick_mach3mig_decode_new_chunk(20);
                                                                            flick_mach3mig_decode_unsigned32(0, (*c)->_length);
                                                                            (*c)->_buffer = CORBA_flick_alloc((*c)->_length * sizeof(CORBA_long ));
                                                                            flick_mach3mig_array_decode_signed32_type(8, (*c)->_length, 1, _long_type);
                                                                            flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
                                                                            for (_t415_array_iter = 0; _t415_array_iter < (*c)->_length; _t415_array_iter++)
                                                                              {
                                                                                flick_mach3mig_array_decode_new_chunk(4);
                                                                                flick_mach3mig_array_decode_signed32(0, (*c)->_buffer[_t415_array_iter]);
                                                                                flick_mach3mig_array_decode_end_chunk(4);
                                                                              }
#else /* Always do a bcopy*/
                                                                            flick_mach3mig_array_decode_bcopy((*c)->_buffer, sizeof(long) * (*c)->_length, mach3mig_array);
#endif /* bcopy? */
                                                                            _return = CORBA_flick_alloc(sizeof(test_seq ));
                                                                            flick_mach3mig_decode_new_chunk(20);
                                                                            flick_mach3mig_decode_unsigned32(0, _return->_length);
                                                                            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
                                                                            flick_mach3mig_array_decode_signed32_type(8, _return->_length, 1, _long_type);
                                                                            flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
                                                                            for (_t417_array_iter = 0; _t417_array_iter < _return->_length; _t417_array_iter++)
                                                                              {
                                                                                flick_mach3mig_array_decode_new_chunk(4);
                                                                                flick_mach3mig_array_decode_signed32(0, _return->_buffer[_t417_array_iter]);
                                                                                flick_mach3mig_array_decode_end_chunk(4);
                                                                              }
#else /* Always do a bcopy*/
                                                                            flick_mach3mig_array_decode_bcopy(_return->_buffer, sizeof(long) * _return->_length, mach3mig_array);
#endif /* bcopy? */
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(276);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

