#include "simple-decl-1-client.h"

void flick_marshal_stub_one_of_each(flick_marshal_stream_t _stream, const struct one_of_each *_data)
{
  flick_unsigned16_t _t0_array_length;
  flick_unsigned16_t _t2_array_iter;
  unsigned long int _t4_array_iter;
  unsigned long int _t6_array_iter;

  flick_mach3mig_encode_new_glob(88);
  flick_mach3mig_encode_new_chunk(88);
  flick_mach3mig_encode_boolean(0, _data->my_bool);
  flick_mach3mig_encode_char8(8, _data->my_char);
  flick_mach3mig_encode_char8(16, _data->my_unsigned_char);
  flick_mach3mig_encode_signed32(24, _data->my_int);
  flick_mach3mig_encode_signed16(32, _data->my_short_int);
  flick_mach3mig_encode_signed32(40, _data->my_long_int);
  flick_mach3mig_encode_unsigned32(48, _data->my_unsigned_int);
  flick_mach3mig_encode_unsigned16(56, _data->my_unsigned_short_int);
  flick_mach3mig_encode_unsigned32(64, _data->my_unsigned_long_int);
  flick_mach3mig_encode_float32(72, _data->my_float);
  flick_mach3mig_encode_float64(80, _data->my_double);
  flick_mach3mig_encode_end_chunk(88);
  flick_mach3mig_encode_end_glob(88);
  flick_mach3mig_encode_string(_data->my_bounded_string, null_flick_free, mach3mig, 256);
  flick_mach3mig_encode_longstring(_data->my_unbounded_string, null_flick_free, mach3mig);
  _t0_array_length = 256;
  flick_mach3mig_array_encode_new_glob(564);
  flick_mach3mig_array_encode_new_chunk_align(12, 2, 0, 0);
  flick_mach3mig_array_encode_char8_type(0, _t0_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(1);
      flick_mach3mig_array_encode_char8(0, _data->my_fixed_opaque[_t2_array_iter]);
      flick_mach3mig_array_encode_end_chunk(1);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->my_fixed_opaque, sizeof(char) * _t0_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_new_chunk_align(20, 2, 0, 0);
  flick_mach3mig_encode_unsigned32(0, _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_mach3mig_array_encode_char8_type(8, _data->my_bounded_opaque.my_bounded_opaque_len * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t4_array_iter = 0; _t4_array_iter < _data->my_bounded_opaque.my_bounded_opaque_len; _t4_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(1);
      flick_mach3mig_array_encode_char8(0, _data->my_bounded_opaque.my_bounded_opaque_val[_t4_array_iter]);
      flick_mach3mig_array_encode_end_chunk(1);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->my_bounded_opaque.my_bounded_opaque_val, sizeof(char) * _data->my_bounded_opaque.my_bounded_opaque_len, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_new_chunk_align(20, 2, 0, 0);
  flick_mach3mig_encode_unsigned32(0, _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_mach3mig_array_encode_char8_type(8, _data->my_unbounded_opaque.my_unbounded_opaque_len * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
  flick_mach3mig_array_encode_end_glob(564);
  flick_mach3mig_array_encode_new_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
#if 0 /* We don't need to ever to bit translation */
  for (_t6_array_iter = 0; _t6_array_iter < _data->my_unbounded_opaque.my_unbounded_opaque_len; _t6_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(1);
      flick_mach3mig_array_encode_char8(0, _data->my_unbounded_opaque.my_unbounded_opaque_val[_t6_array_iter]);
      flick_mach3mig_array_encode_end_chunk(1);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->my_unbounded_opaque.my_unbounded_opaque_val, sizeof(char) * _data->my_unbounded_opaque.my_unbounded_opaque_len, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_array_encode_end_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
}

void flick_unmarshal_stub_one_of_each(flick_marshal_stream_t _stream, struct one_of_each *_data)
{
  flick_unsigned16_t _t7_array_length;
  flick_unsigned16_t _t9_array_iter;
  unsigned long int _t11_array_iter;
  unsigned long int _t13_array_iter;

  flick_mach3mig_decode_new_glob(88);
  flick_mach3mig_decode_new_chunk(88);
  flick_mach3mig_decode_boolean(0, _data->my_bool);
  flick_mach3mig_decode_char8(8, _data->my_char);
  flick_mach3mig_decode_char8(16, _data->my_unsigned_char);
  flick_mach3mig_decode_signed32(24, _data->my_int);
  flick_mach3mig_decode_signed16(32, _data->my_short_int);
  flick_mach3mig_decode_signed32(40, _data->my_long_int);
  flick_mach3mig_decode_unsigned32(48, _data->my_unsigned_int);
  flick_mach3mig_decode_unsigned16(56, _data->my_unsigned_short_int);
  flick_mach3mig_decode_unsigned32(64, _data->my_unsigned_long_int);
  flick_mach3mig_decode_float32(72, _data->my_float);
  flick_mach3mig_decode_float64(80, _data->my_double);
  flick_mach3mig_decode_end_chunk(88);
  flick_mach3mig_decode_end_glob(88);
  flick_mach3mig_decode_string(_data->my_bounded_string, sun_flick_alloc, mach3mig, 256);
  flick_mach3mig_decode_longstring(_data->my_unbounded_string, sun_flick_alloc, mach3mig);
  _t7_array_length = 256;
  flick_mach3mig_array_decode_new_glob(564);
  flick_mach3mig_array_decode_new_chunk_align(12, 2, 0, 0);
  flick_mach3mig_array_decode_char8_type(0, _t7_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t9_array_iter = 0; _t9_array_iter < _t7_array_length; _t9_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(1);
      flick_mach3mig_array_decode_char8(0, _data->my_fixed_opaque[_t9_array_iter]);
      flick_mach3mig_array_decode_end_chunk(1);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->my_fixed_opaque, sizeof(char) * _t7_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_new_chunk_align(20, 2, 0, 0);
  flick_mach3mig_decode_unsigned32(0, _data->my_bounded_opaque.my_bounded_opaque_len);
  _data->my_bounded_opaque.my_bounded_opaque_val = sun_flick_alloc(_data->my_bounded_opaque.my_bounded_opaque_len * sizeof(char ));
  flick_mach3mig_array_decode_char8_type(8, _data->my_bounded_opaque.my_bounded_opaque_len, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t11_array_iter = 0; _t11_array_iter < _data->my_bounded_opaque.my_bounded_opaque_len; _t11_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(1);
      flick_mach3mig_array_decode_char8(0, _data->my_bounded_opaque.my_bounded_opaque_val[_t11_array_iter]);
      flick_mach3mig_array_decode_end_chunk(1);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->my_bounded_opaque.my_bounded_opaque_val, sizeof(char) * _data->my_bounded_opaque.my_bounded_opaque_len, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_new_chunk_align(20, 2, 0, 0);
  flick_mach3mig_decode_unsigned32(0, _data->my_unbounded_opaque.my_unbounded_opaque_len);
  _data->my_unbounded_opaque.my_unbounded_opaque_val = sun_flick_alloc(_data->my_unbounded_opaque.my_unbounded_opaque_len * sizeof(char ));
  flick_mach3mig_array_decode_char8_type(8, _data->my_unbounded_opaque.my_unbounded_opaque_len, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
  flick_mach3mig_array_decode_end_glob(564);
  flick_mach3mig_array_decode_new_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
#if 0 /* We don't need to ever to bit translation */
  for (_t13_array_iter = 0; _t13_array_iter < _data->my_unbounded_opaque.my_unbounded_opaque_len; _t13_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(1);
      flick_mach3mig_array_decode_char8(0, _data->my_unbounded_opaque.my_unbounded_opaque_val[_t13_array_iter]);
      flick_mach3mig_array_decode_end_chunk(1);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->my_unbounded_opaque.my_unbounded_opaque_val, sizeof(char) * _data->my_unbounded_opaque.my_unbounded_opaque_len, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_array_decode_end_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
}

