#include "simple2-client.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_mach3mig_encode_new_glob(60);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_signed32_type(8, _data->_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(60);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t3_array_iter;

  flick_mach3mig_decode_new_glob(60);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_mach3mig_array_decode_signed32_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(60);
}

void flick_marshal_stub_simple(flick_marshal_stream_t _stream, const simple *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long simple_op(simple _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(48);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 3);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(32, a);
    flick_mach3mig_encode_signed32(40, *c);
    flick_mach3mig_encode_end_chunk(48);
    flick_mach3mig_encode_end_glob(48);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t9_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t9_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t9_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t10_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t10_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t10_switch_tag)
            {
            case '$':
              {
                char _t11_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t11_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t11_switch_tag)
                  {
                  case 'o':
                    {
                      char _t12_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t12_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t12_switch_tag)
                        {
                        case 'p':
                          {
                            char _t13_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t13_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t13_switch_tag)
                              {
                              case 0:
                                {
                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_ev->_major)
                                    {
                                    case CORBA_NO_EXCEPTION:
                                      {
                                        /* Begin decode phase on parameters */
                                        flick_mach3mig_decode_new_chunk(24);
                                        flick_mach3mig_decode_port(0, *b, 1);
                                        flick_mach3mig_decode_signed32(8, *c);
                                        flick_mach3mig_decode_signed32(16, _return);
                                        flick_mach3mig_decode_end_chunk(24);
                                        break;
                                      }
                                    case CORBA_SYSTEM_EXCEPTION:
                                      {
                                        flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(72);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

void flick_marshal_stub_simple2(flick_marshal_stream_t _stream, const simple2 *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long simple2_op2(simple2 _obj, CORBA_long a, simple b, simple2 *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(56);
    flick_mach3mig_encode_new_chunk(56);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, '2');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(40, a);
    flick_mach3mig_encode_port(48, b, 1);
    flick_mach3mig_encode_end_chunk(56);
    flick_mach3mig_encode_end_glob(56);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(1);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t20_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t20_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t20_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t21_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t21_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t21_switch_tag)
            {
            case '$':
              {
                char _t22_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t22_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t22_switch_tag)
                  {
                  case 'o':
                    {
                      char _t23_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t23_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t23_switch_tag)
                        {
                        case 'p':
                          {
                            char _t24_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t24_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t24_switch_tag)
                              {
                              case '2':
                                {
                                  char _t25_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t25_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t25_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_new_chunk(16);
                                              flick_mach3mig_decode_port(0, *c, 1);
                                              flick_mach3mig_decode_signed32(8, _return);
                                              flick_mach3mig_decode_end_chunk(16);
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(72);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long simple2_op(simple2 _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(48);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 3);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(32, a);
    flick_mach3mig_encode_signed32(40, *c);
    flick_mach3mig_encode_end_chunk(48);
    flick_mach3mig_encode_end_glob(48);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t31_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t31_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t31_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t32_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t32_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t32_switch_tag)
            {
            case '$':
              {
                char _t33_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t33_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t33_switch_tag)
                  {
                  case 'o':
                    {
                      char _t34_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t34_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t34_switch_tag)
                        {
                        case 'p':
                          {
                            char _t35_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t35_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t35_switch_tag)
                              {
                              case 0:
                                {
                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_ev->_major)
                                    {
                                    case CORBA_NO_EXCEPTION:
                                      {
                                        /* Begin decode phase on parameters */
                                        flick_mach3mig_decode_new_chunk(24);
                                        flick_mach3mig_decode_port(0, *b, 1);
                                        flick_mach3mig_decode_signed32(8, *c);
                                        flick_mach3mig_decode_signed32(16, _return);
                                        flick_mach3mig_decode_end_chunk(24);
                                        break;
                                      }
                                    case CORBA_SYSTEM_EXCEPTION:
                                      {
                                        flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(72);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

void flick_marshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, const simple3_OVERFLOW *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->a);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
  flick_mach3mig_encode_longstring(_data->msg, null_flick_free, mach3mig);
}

void flick_unmarshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->a);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
  flick_mach3mig_decode_longstring(_data->msg, CORBA_flick_alloc, mach3mig);
}

void flick_marshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, const simple3_UNDERFLOW *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->b);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
  flick_mach3mig_encode_longstring(_data->msg, null_flick_free, mach3mig);
}

void flick_unmarshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->b);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
  flick_mach3mig_decode_longstring(_data->msg, CORBA_flick_alloc, mach3mig);
}

void flick_marshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, const simple3_BADNUM *_data)
{
  unsigned long int _t37_array_iter;

  flick_mach3mig_encode_new_glob(60);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->c._length);
  flick_mach3mig_array_encode_signed32_type(8, _data->c._length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t37_array_iter = 0; _t37_array_iter < _data->c._length; _t37_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, _data->c._buffer[_t37_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->c._buffer, sizeof(long) * _data->c._length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(60);
}

void flick_unmarshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
  unsigned long int _t39_array_iter;

  flick_mach3mig_decode_new_glob(60);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->c._length);
  _data->c._buffer = CORBA_flick_alloc(_data->c._length * sizeof(CORBA_long ));
  flick_mach3mig_array_decode_signed32_type(8, _data->c._length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t39_array_iter = 0; _t39_array_iter < _data->c._length; _t39_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, _data->c._buffer[_t39_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->c._buffer, sizeof(long) * _data->c._length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(60);
}

void flick_marshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, const simple3_USERERROR *_data)
{
  flick_mach3mig_encode_longstring(_data->reason, null_flick_free, mach3mig);
}

void flick_unmarshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_mach3mig_decode_longstring(_data->reason, CORBA_flick_alloc, mach3mig);
}

void flick_marshal_stub_simple3(flick_marshal_stream_t _stream, const simple3 *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_simple3(flick_marshal_stream_t _stream, simple3 *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long simple3_op3(simple3 _obj, CORBA_long a, simple3 *b, simple2 *c, simple *d, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(48);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, '3');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(40, a);
    flick_mach3mig_encode_end_chunk(48);
    flick_mach3mig_encode_end_glob(48);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t54_switch_tag;

    flick_mach3mig_decode_new_glob(124);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t54_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t54_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t55_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t55_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t55_switch_tag)
            {
            case '$':
              {
                char _t56_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t56_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t56_switch_tag)
                  {
                  case 'o':
                    {
                      char _t57_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t57_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t57_switch_tag)
                        {
                        case 'p':
                          {
                            char _t58_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t58_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t58_switch_tag)
                              {
                              case '3':
                                {
                                  char _t59_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t59_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t59_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_new_chunk(32);
                                              flick_mach3mig_decode_port(0, *b, 1);
                                              flick_mach3mig_decode_port(8, *c, 1);
                                              flick_mach3mig_decode_port(16, *d, 1);
                                              flick_mach3mig_decode_signed32(24, _return);
                                              flick_mach3mig_decode_end_chunk(32);
                                              flick_mach3mig_decode_end_glob(124);
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(124);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_boolean(0, _ev->_atomic_user_id);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_atomic_user_id)
                                                {
                                                case 0:
                                                  {
                                                    (simple3_OVERFLOW *)(_ev->_except) = CORBA_flick_alloc(sizeof(simple3_OVERFLOW ));
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, ((simple3_OVERFLOW *)(_ev->_except))->a);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    flick_mach3mig_decode_end_glob(124);
                                                    flick_mach3mig_decode_longstring(((simple3_OVERFLOW *)(_ev->_except))->msg, CORBA_flick_alloc, mach3mig);
                                                    break;
                                                  }
                                                case 1:
                                                  {
                                                    (simple3_UNDERFLOW *)(_ev->_except) = CORBA_flick_alloc(sizeof(simple3_UNDERFLOW ));
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    flick_mach3mig_decode_end_glob(124);
                                                    flick_mach3mig_decode_longstring(((simple3_UNDERFLOW *)(_ev->_except))->msg, CORBA_flick_alloc, mach3mig);
                                                    break;
                                                  }
                                                case 2:
                                                  {
                                                    unsigned long int _t67_array_iter;

                                                    (simple3_BADNUM *)(_ev->_except) = CORBA_flick_alloc(sizeof(simple3_BADNUM ));
                                                    flick_mach3mig_decode_new_chunk(20);
                                                    flick_mach3mig_decode_unsigned32(0, ((simple3_BADNUM *)(_ev->_except))->c._length);
                                                    ((simple3_BADNUM *)(_ev->_except))->c._buffer = CORBA_flick_alloc(((simple3_BADNUM *)(_ev->_except))->c._length * sizeof(CORBA_long ));
                                                    flick_mach3mig_array_decode_signed32_type(8, ((simple3_BADNUM *)(_ev->_except))->c._length, 1, _long_type);
                                                    flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
                                                    for (_t67_array_iter = 0; _t67_array_iter < ((simple3_BADNUM *)(_ev->_except))->c._length; _t67_array_iter++)
                                                      {
                                                        flick_mach3mig_array_decode_new_chunk(4);
                                                        flick_mach3mig_array_decode_signed32(0, ((simple3_BADNUM *)(_ev->_except))->c._buffer[_t67_array_iter]);
                                                        flick_mach3mig_array_decode_end_chunk(4);
                                                      }
#else /* Always do a bcopy*/
                                                    flick_mach3mig_array_decode_bcopy(((simple3_BADNUM *)(_ev->_except))->c._buffer, sizeof(long) * ((simple3_BADNUM *)(_ev->_except))->c._length, mach3mig_array);
#endif /* bcopy? */
                                                    flick_mach3mig_decode_end_glob(124);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(124);
                                                    break;
                                                  }
                                                }
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(124);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(124);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(124);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(124);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(124);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(124);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_char *simple3_op4(simple3 _obj, CORBA_char *x, CORBA_char **y, CORBA_char **z, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_char *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(40);
    flick_mach3mig_encode_new_chunk(40);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, '4');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(40);
    flick_mach3mig_encode_end_glob(40);
    flick_mach3mig_encode_longstring(x, null_flick_free, mach3mig);
    flick_mach3mig_encode_longstring(*y, CORBA_flick_free, mach3mig);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t74_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t74_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t74_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t75_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t75_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t75_switch_tag)
            {
            case '$':
              {
                char _t76_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t76_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t76_switch_tag)
                  {
                  case 'o':
                    {
                      char _t77_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t77_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t77_switch_tag)
                        {
                        case 'p':
                          {
                            char _t78_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t78_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t78_switch_tag)
                              {
                              case '4':
                                {
                                  char _t79_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t79_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t79_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_end_glob(72);
                                              flick_mach3mig_decode_longstring(*y, CORBA_flick_alloc, mach3mig);
                                              flick_mach3mig_decode_longstring(*z, CORBA_flick_alloc, mach3mig);
                                              flick_mach3mig_decode_longstring(_return, CORBA_flick_alloc, mach3mig);
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(72);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_boolean(0, _ev->_atomic_user_id);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_atomic_user_id)
                                                {
                                                case 0:
                                                  {
                                                    (simple3_UNDERFLOW *)(_ev->_except) = CORBA_flick_alloc(sizeof(simple3_UNDERFLOW ));
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    flick_mach3mig_decode_end_glob(72);
                                                    flick_mach3mig_decode_longstring(((simple3_UNDERFLOW *)(_ev->_except))->msg, CORBA_flick_alloc, mach3mig);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(72);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

void simple3_op5(simple3 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(40);
    flick_mach3mig_encode_new_chunk(40);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, '5');
    flick_mach3mig_encode_char8(32, 0);
    flick_mach3mig_encode_end_chunk(40);
    flick_mach3mig_encode_end_glob(40);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t86_switch_tag;

    flick_mach3mig_decode_new_glob(64);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t86_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t86_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t87_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t87_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t87_switch_tag)
            {
            case '$':
              {
                char _t88_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t88_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t88_switch_tag)
                  {
                  case 'o':
                    {
                      char _t89_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t89_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t89_switch_tag)
                        {
                        case 'p':
                          {
                            char _t90_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t90_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t90_switch_tag)
                              {
                              case '5':
                                {
                                  char _t91_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t91_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t91_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_end_glob(64);
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(64);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_boolean(0, _ev->_atomic_user_id);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_atomic_user_id)
                                                {
                                                case 0:
                                                  {
                                                    (simple3_USERERROR *)(_ev->_except) = CORBA_flick_alloc(sizeof(simple3_USERERROR ));
                                                    flick_mach3mig_decode_end_glob(64);
                                                    flick_mach3mig_decode_longstring(((simple3_USERERROR *)(_ev->_except))->reason, CORBA_flick_alloc, mach3mig);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(64);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long simple3_op2(simple3 _obj, CORBA_long a, simple b, simple2 *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(56);
    flick_mach3mig_encode_new_chunk(56);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, '2');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(40, a);
    flick_mach3mig_encode_port(48, b, 1);
    flick_mach3mig_encode_end_chunk(56);
    flick_mach3mig_encode_end_glob(56);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(1);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t98_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t98_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t98_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t99_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t99_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t99_switch_tag)
            {
            case '$':
              {
                char _t100_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t100_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t100_switch_tag)
                  {
                  case 'o':
                    {
                      char _t101_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t101_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t101_switch_tag)
                        {
                        case 'p':
                          {
                            char _t102_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t102_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t102_switch_tag)
                              {
                              case '2':
                                {
                                  char _t103_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t103_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t103_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_new_chunk(16);
                                              flick_mach3mig_decode_port(0, *c, 1);
                                              flick_mach3mig_decode_signed32(8, _return);
                                              flick_mach3mig_decode_end_chunk(16);
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(72);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long simple3_op(simple3 _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(48);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 3);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(32, a);
    flick_mach3mig_encode_signed32(40, *c);
    flick_mach3mig_encode_end_chunk(48);
    flick_mach3mig_encode_end_glob(48);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t109_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t109_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t109_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t110_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t110_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t110_switch_tag)
            {
            case '$':
              {
                char _t111_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t111_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t111_switch_tag)
                  {
                  case 'o':
                    {
                      char _t112_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t112_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t112_switch_tag)
                        {
                        case 'p':
                          {
                            char _t113_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t113_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t113_switch_tag)
                              {
                              case 0:
                                {
                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_ev->_major)
                                    {
                                    case CORBA_NO_EXCEPTION:
                                      {
                                        /* Begin decode phase on parameters */
                                        flick_mach3mig_decode_new_chunk(24);
                                        flick_mach3mig_decode_port(0, *b, 1);
                                        flick_mach3mig_decode_signed32(8, *c);
                                        flick_mach3mig_decode_signed32(16, _return);
                                        flick_mach3mig_decode_end_chunk(24);
                                        break;
                                      }
                                    case CORBA_SYSTEM_EXCEPTION:
                                      {
                                        flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(72);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

