#include "union-client.h"

void flick_marshal_stub_Bar(flick_marshal_stream_t _stream, const struct Bar *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed32(0, _data->b1);
  flick_mach3mig_encode_char8(8, _data->b2);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_Bar(flick_marshal_stream_t _stream, struct Bar *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed32(0, _data->b1);
  flick_mach3mig_decode_char8(8, _data->b2);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data)
{
  flick_mach3mig_encode_new_glob(24);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->_d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->_u.x);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    case 2:
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, _data->_u.y.b1);
        flick_mach3mig_encode_char8(8, _data->_u.y.b2);
        flick_mach3mig_encode_end_chunk(16);
        break;
      }
    default:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_char8(0, _data->_u.z);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_encode_end_glob(24);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_mach3mig_decode_new_glob(24);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->_d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->_d)
    {
    case 1:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->_u.x);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    case 2:
      {
        flick_mach3mig_decode_new_chunk(16);
        flick_mach3mig_decode_signed32(0, _data->_u.y.b1);
        flick_mach3mig_decode_char8(8, _data->_u.y.b2);
        flick_mach3mig_decode_end_chunk(16);
        break;
      }
    default:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_char8(0, _data->_u.z);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_decode_end_glob(24);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const struct Foo2 *_data)
{
  flick_mach3mig_encode_new_glob(32);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_char8(0, _data->_d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->_u.x);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    case 'b':
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->_u.y._d);
        flick_mach3mig_encode_end_chunk(8);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_mach3mig_encode_new_chunk(8);
              flick_mach3mig_encode_signed32(0, _data->_u.y._u.x);
              flick_mach3mig_encode_end_chunk(8);
              break;
            }
          case 2:
            {
              flick_mach3mig_encode_new_chunk(16);
              flick_mach3mig_encode_signed32(0, _data->_u.y._u.y.b1);
              flick_mach3mig_encode_char8(8, _data->_u.y._u.y.b2);
              flick_mach3mig_encode_end_chunk(16);
              break;
            }
          default:
            {
              flick_mach3mig_encode_new_chunk(8);
              flick_mach3mig_encode_char8(0, _data->_u.y._u.z);
              flick_mach3mig_encode_end_chunk(8);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
        break;
      }
    }
  flick_mach3mig_encode_end_glob(32);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_mach3mig_decode_new_glob(32);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_char8(0, _data->_d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->_u.x);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    case 'b':
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->_u.y._d);
        flick_mach3mig_decode_end_chunk(8);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_mach3mig_decode_new_chunk(8);
              flick_mach3mig_decode_signed32(0, _data->_u.y._u.x);
              flick_mach3mig_decode_end_chunk(8);
              break;
            }
          case 2:
            {
              flick_mach3mig_decode_new_chunk(16);
              flick_mach3mig_decode_signed32(0, _data->_u.y._u.y.b1);
              flick_mach3mig_decode_char8(8, _data->_u.y._u.y.b2);
              flick_mach3mig_decode_end_chunk(16);
              break;
            }
          default:
            {
              flick_mach3mig_decode_new_chunk(8);
              flick_mach3mig_decode_char8(0, _data->_u.y._u.z);
              flick_mach3mig_decode_end_chunk(8);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
        break;
      }
    }
  flick_mach3mig_decode_end_glob(32);
}

void flick_marshal_stub_a_astruct(flick_marshal_stream_t _stream, const struct a_astruct *_data)
{
  flick_mach3mig_encode_new_glob(72);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_char8(0, _data->a1._d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->a1._u.x);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    case 'b':
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->a1._u.y._d);
        flick_mach3mig_encode_end_chunk(8);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_mach3mig_encode_new_chunk(8);
              flick_mach3mig_encode_signed32(0, _data->a1._u.y._u.x);
              flick_mach3mig_encode_end_chunk(8);
              break;
            }
          case 2:
            {
              flick_mach3mig_encode_new_chunk(16);
              flick_mach3mig_encode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_mach3mig_encode_char8(8, _data->a1._u.y._u.y.b2);
              flick_mach3mig_encode_end_chunk(16);
              break;
            }
          default:
            {
              flick_mach3mig_encode_new_chunk(8);
              flick_mach3mig_encode_char8(0, _data->a1._u.y._u.z);
              flick_mach3mig_encode_end_chunk(8);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
        break;
      }
    }
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->a2._d);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->a2._u.x);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    case 2:
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, _data->a2._u.y.b1);
        flick_mach3mig_encode_char8(8, _data->a2._u.y.b2);
        flick_mach3mig_encode_end_chunk(16);
        break;
      }
    default:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_char8(0, _data->a2._u.z);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed32(0, _data->a3.b1);
  flick_mach3mig_encode_char8(8, _data->a3.b2);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(72);
}

void flick_unmarshal_stub_a_astruct(flick_marshal_stream_t _stream, struct a_astruct *_data)
{
  flick_mach3mig_decode_new_glob(72);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_char8(0, _data->a1._d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->a1._u.x);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    case 'b':
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->a1._u.y._d);
        flick_mach3mig_decode_end_chunk(8);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_mach3mig_decode_new_chunk(8);
              flick_mach3mig_decode_signed32(0, _data->a1._u.y._u.x);
              flick_mach3mig_decode_end_chunk(8);
              break;
            }
          case 2:
            {
              flick_mach3mig_decode_new_chunk(16);
              flick_mach3mig_decode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_mach3mig_decode_char8(8, _data->a1._u.y._u.y.b2);
              flick_mach3mig_decode_end_chunk(16);
              break;
            }
          default:
            {
              flick_mach3mig_decode_new_chunk(8);
              flick_mach3mig_decode_char8(0, _data->a1._u.y._u.z);
              flick_mach3mig_decode_end_chunk(8);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
        break;
      }
    }
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->a2._d);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->a2._u.x);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    case 2:
      {
        flick_mach3mig_decode_new_chunk(16);
        flick_mach3mig_decode_signed32(0, _data->a2._u.y.b1);
        flick_mach3mig_decode_char8(8, _data->a2._u.y.b2);
        flick_mach3mig_decode_end_chunk(16);
        break;
      }
    default:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_char8(0, _data->a2._u.z);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed32(0, _data->a3.b1);
  flick_mach3mig_decode_char8(8, _data->a3.b2);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(72);
}

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct Foo2 a_opA(a _obj, struct a_astruct *b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct Foo2 _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(112);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, 'A');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_char8(40, b->a1._d);
    flick_mach3mig_encode_end_chunk(48);
    switch (b->a1._d)
      {
      case 'a':
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_signed32(0, b->a1._u.x);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      case 'b':
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_signed32(0, b->a1._u.y._d);
          flick_mach3mig_encode_end_chunk(8);
          switch (b->a1._u.y._d)
            {
            case 1:
              {
                flick_mach3mig_encode_new_chunk(8);
                flick_mach3mig_encode_signed32(0, b->a1._u.y._u.x);
                flick_mach3mig_encode_end_chunk(8);
                break;
              }
            case 2:
              {
                flick_mach3mig_encode_new_chunk(16);
                flick_mach3mig_encode_signed32(0, b->a1._u.y._u.y.b1);
                flick_mach3mig_encode_char8(8, b->a1._u.y._u.y.b2);
                flick_mach3mig_encode_end_chunk(16);
                break;
              }
            default:
              {
                flick_mach3mig_encode_new_chunk(8);
                flick_mach3mig_encode_char8(0, b->a1._u.y._u.z);
                flick_mach3mig_encode_end_chunk(8);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_encode_client_error(_return, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, b->a2._d);
    flick_mach3mig_encode_end_chunk(8);
    switch (b->a2._d)
      {
      case 1:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_signed32(0, b->a2._u.x);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      case 2:
        {
          flick_mach3mig_encode_new_chunk(16);
          flick_mach3mig_encode_signed32(0, b->a2._u.y.b1);
          flick_mach3mig_encode_char8(8, b->a2._u.y.b2);
          flick_mach3mig_encode_end_chunk(16);
          break;
        }
      default:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_char8(0, b->a2._u.z);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      }
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed32(0, b->a3.b1);
    flick_mach3mig_encode_char8(8, b->a3.b2);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(112);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t6_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t6_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t6_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t7_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t7_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t7_switch_tag)
            {
            case '$':
              {
                char _t8_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t8_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t8_switch_tag)
                  {
                  case 'o':
                    {
                      char _t9_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t9_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t9_switch_tag)
                        {
                        case 'p':
                          {
                            char _t10_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t10_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t10_switch_tag)
                              {
                              case 'A':
                                {
                                  char _t11_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t11_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t11_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _return._d);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_return._d)
                                                {
                                                case 'a':
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _return._u.x);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                case 'b':
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _return._u.y._d);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_return._u.y._d)
                                                      {
                                                      case 1:
                                                        {
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_signed32(0, _return._u.y._u.x);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          break;
                                                        }
                                                      case 2:
                                                        {
                                                          flick_mach3mig_decode_new_chunk(16);
                                                          flick_mach3mig_decode_signed32(0, _return._u.y._u.y.b1);
                                                          flick_mach3mig_decode_char8(8, _return._u.y._u.y.b2);
                                                          flick_mach3mig_decode_end_chunk(16);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _return._u.y._u.z);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(88);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

