#include "sequence-client.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_c20(flick_marshal_stream_t _stream, const c20 *_data)
{
  unsigned long int _t5_array_iter;

  flick_suntcp_encode_new_glob(24);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->_buffer[_t5_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(24);
}

void flick_unmarshal_stub_c20(flick_marshal_stream_t _stream, c20 *_data)
{
  unsigned long int _t7_array_iter;

  flick_suntcp_decode_new_glob(24);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->_buffer[_t7_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(24);
}

void flick_marshal_stub_cc23(flick_marshal_stream_t _stream, const cc23 *_data)
{
  unsigned long int _t13_array_iter;

  flick_suntcp_encode_new_glob(556);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  for (_t13_array_iter = 0; _t13_array_iter < _data->_length; _t13_array_iter++)
    {
      unsigned long int _t17_array_iter;

      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_encode_unsigned32(0, _data->_buffer[_t13_array_iter]._length);
      flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t17_array_iter = 0; _t17_array_iter < _data->_buffer[_t13_array_iter]._length; _t17_array_iter++)
        {
          flick_suntcp_encode_new_chunk(1);
          flick_xdr_encode_char8_packed(0, _data->_buffer[_t13_array_iter]._buffer[_t17_array_iter]);
          flick_suntcp_encode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_encode_bcopy(_data->_buffer[_t13_array_iter]._buffer, sizeof(char) * _data->_buffer[_t13_array_iter]._length, suntcp);
#endif /* ENDIANness */
    }
  flick_suntcp_encode_end_glob(556);
}

void flick_unmarshal_stub_cc23(flick_marshal_stream_t _stream, cc23 *_data)
{
  unsigned long int _t23_array_iter;

  flick_suntcp_decode_new_glob(556);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(c20 ));
  flick_suntcp_decode_end_chunk(4);
  for (_t23_array_iter = 0; _t23_array_iter < _data->_length; _t23_array_iter++)
    {
      unsigned long int _t27_array_iter;

      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_decode_unsigned32(0, _data->_buffer[_t23_array_iter]._length);
      _data->_buffer[_t23_array_iter]._buffer = CORBA_flick_alloc(_data->_buffer[_t23_array_iter]._length * sizeof(CORBA_char ));
      flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t27_array_iter = 0; _t27_array_iter < _data->_buffer[_t23_array_iter]._length; _t27_array_iter++)
        {
          flick_suntcp_decode_new_chunk(1);
          flick_xdr_decode_char8_packed(0, _data->_buffer[_t23_array_iter]._buffer[_t27_array_iter]);
          flick_suntcp_decode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_decode_bcopy(_data->_buffer[_t23_array_iter]._buffer, sizeof(char) * _data->_buffer[_t23_array_iter]._length, suntcp);
#endif /* ENDIANness */
    }
  flick_suntcp_decode_end_glob(556);
}

void flick_marshal_stub_c24(flick_marshal_stream_t _stream, const c24 *_data)
{
  unsigned long int _t29_array_iter;

  flick_suntcp_encode_new_glob(28);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t29_array_iter = 0; _t29_array_iter < _data->_length; _t29_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->_buffer[_t29_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(28);
}

void flick_unmarshal_stub_c24(flick_marshal_stream_t _stream, c24 *_data)
{
  unsigned long int _t31_array_iter;

  flick_suntcp_decode_new_glob(28);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t31_array_iter = 0; _t31_array_iter < _data->_length; _t31_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->_buffer[_t31_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(28);
}

void flick_marshal_stub_c30(flick_marshal_stream_t _stream, const c30 *_data)
{
  unsigned long int _t37_array_iter;

  flick_suntcp_encode_new_glob(444);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  for (_t37_array_iter = 0; _t37_array_iter < _data->_length; _t37_array_iter++)
    {
      unsigned long int _t41_array_iter;

      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned32(0, _data->_buffer[_t37_array_iter]._length);
      flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t41_array_iter = 0; _t41_array_iter < _data->_buffer[_t37_array_iter]._length; _t41_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->_buffer[_t37_array_iter]._buffer[_t41_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_encode_bcopy(_data->_buffer[_t37_array_iter]._buffer, sizeof(long) * _data->_buffer[_t37_array_iter]._length, suntcp);
#endif /* ENDIANness */
    }
  flick_suntcp_encode_end_glob(444);
}

void flick_unmarshal_stub_c30(flick_marshal_stream_t _stream, c30 *_data)
{
  unsigned long int _t47_array_iter;

  flick_suntcp_decode_new_glob(444);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct CORBA_sequence_integer ));
  flick_suntcp_decode_end_chunk(4);
  for (_t47_array_iter = 0; _t47_array_iter < _data->_length; _t47_array_iter++)
    {
      unsigned long int _t51_array_iter;

      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned32(0, _data->_buffer[_t47_array_iter]._length);
      _data->_buffer[_t47_array_iter]._buffer = CORBA_flick_alloc(_data->_buffer[_t47_array_iter]._length * sizeof(CORBA_long ));
      flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t51_array_iter = 0; _t51_array_iter < _data->_buffer[_t47_array_iter]._length; _t51_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->_buffer[_t47_array_iter]._buffer[_t51_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_decode_bcopy(_data->_buffer[_t47_array_iter]._buffer, sizeof(long) * _data->_buffer[_t47_array_iter]._length, suntcp);
#endif /* ENDIANness */
    }
  flick_suntcp_decode_end_glob(444);
}

void flick_marshal_stub_TProgram(flick_marshal_stream_t _stream, const struct TProgram *_data)
{
  unsigned long int _t53_array_iter;
  unsigned long int _t55_array_iter;

  flick_xdr_encode_longstring(_data->path, null_flick_free, suntcp);
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_unsigned32(0, _data->argv._length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t53_array_iter = 0; _t53_array_iter < _data->argv._length; _t53_array_iter++)
    {
      flick_xdr_encode_longstring(_data->argv._buffer[_t53_array_iter], null_flick_free, suntcp);
    }
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_unsigned32(0, _data->envp._length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t55_array_iter = 0; _t55_array_iter < _data->envp._length; _t55_array_iter++)
    {
      flick_xdr_encode_longstring(_data->envp._buffer[_t55_array_iter], null_flick_free, suntcp);
    }
}

void flick_unmarshal_stub_TProgram(flick_marshal_stream_t _stream, struct TProgram *_data)
{
  unsigned long int _t57_array_iter;
  unsigned long int _t59_array_iter;

  flick_xdr_decode_longstring(_data->path, CORBA_flick_alloc, suntcp);
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_unsigned32(0, _data->argv._length);
  _data->argv._buffer = CORBA_flick_alloc(_data->argv._length * sizeof(CORBA_char *));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  for (_t57_array_iter = 0; _t57_array_iter < _data->argv._length; _t57_array_iter++)
    {
      flick_xdr_decode_longstring(_data->argv._buffer[_t57_array_iter], CORBA_flick_alloc, suntcp);
    }
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_unsigned32(0, _data->envp._length);
  _data->envp._buffer = CORBA_flick_alloc(_data->envp._length * sizeof(CORBA_char *));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  for (_t59_array_iter = 0; _t59_array_iter < _data->envp._length; _t59_array_iter++)
    {
      flick_xdr_decode_longstring(_data->envp._buffer[_t59_array_iter], CORBA_flick_alloc, suntcp);
    }
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->f1);
  flick_xdr_encode_char8(4, _data->f2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->f1);
  flick_xdr_decode_char8(4, _data->f2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_foo_ar(flick_marshal_stream_t _stream, const foo_ar *_data)
{
  flick_unsigned8_t _t60_array_length;
  flick_unsigned8_t _t62_array_iter;

  _t60_array_length = 20;
  flick_suntcp_encode_new_glob(160);
  for (_t62_array_iter = 0; _t62_array_iter < _t60_array_length; _t62_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, (*_data)[_t62_array_iter].f1);
      flick_xdr_encode_char8(4, (*_data)[_t62_array_iter].f2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_end_glob(160);
}

void flick_unmarshal_stub_foo_ar(flick_marshal_stream_t _stream, foo_ar *_data)
{
  flick_unsigned8_t _t63_array_length;
  flick_unsigned8_t _t65_array_iter;

  _t63_array_length = 20;
  flick_suntcp_decode_new_glob(160);
  for (_t65_array_iter = 0; _t65_array_iter < _t63_array_length; _t65_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, (*_data)[_t65_array_iter].f1);
      flick_xdr_decode_char8(4, (*_data)[_t65_array_iter].f2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_end_glob(160);
}

void flick_marshal_stub_f_unbounded(flick_marshal_stream_t _stream, const f_unbounded *_data)
{
  unsigned long int _t67_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(8 * _data->_length);
  for (_t67_array_iter = 0; _t67_array_iter < _data->_length; _t67_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->_buffer[_t67_array_iter].f1);
      flick_xdr_encode_char8(4, _data->_buffer[_t67_array_iter].f2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_end_glob(8 * _data->_length);
}

void flick_unmarshal_stub_f_unbounded(flick_marshal_stream_t _stream, f_unbounded *_data)
{
  unsigned long int _t69_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct foo ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(8 * _data->_length);
  for (_t69_array_iter = 0; _t69_array_iter < _data->_length; _t69_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->_buffer[_t69_array_iter].f1);
      flick_xdr_decode_char8(4, _data->_buffer[_t69_array_iter].f2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_end_glob(8 * _data->_length);
}

void flick_marshal_stub_f_ar_unbounded(flick_marshal_stream_t _stream, const f_ar_unbounded *_data)
{
  unsigned long int _t77_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(160 * _data->_length);
  for (_t77_array_iter = 0; _t77_array_iter < _data->_length; _t77_array_iter++)
    {
      flick_unsigned8_t _t81_array_length;
      flick_unsigned8_t _t83_array_iter;

      _t81_array_length = 20;
      for (_t83_array_iter = 0; _t83_array_iter < _t81_array_length; _t83_array_iter++)
        {
          flick_suntcp_encode_new_chunk(8);
          flick_xdr_encode_signed32(0, _data->_buffer[_t77_array_iter][_t83_array_iter].f1);
          flick_xdr_encode_char8(4, _data->_buffer[_t77_array_iter][_t83_array_iter].f2);
          flick_suntcp_encode_end_chunk(8);
        }
    }
  flick_suntcp_encode_end_glob(160 * _data->_length);
}

void flick_unmarshal_stub_f_ar_unbounded(flick_marshal_stream_t _stream, f_ar_unbounded *_data)
{
  unsigned long int _t91_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(foo_ar ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(160 * _data->_length);
  for (_t91_array_iter = 0; _t91_array_iter < _data->_length; _t91_array_iter++)
    {
      flick_unsigned8_t _t95_array_length;
      flick_unsigned8_t _t97_array_iter;

      _t95_array_length = 20;
      for (_t97_array_iter = 0; _t97_array_iter < _t95_array_length; _t97_array_iter++)
        {
          flick_suntcp_decode_new_chunk(8);
          flick_xdr_decode_signed32(0, _data->_buffer[_t91_array_iter][_t97_array_iter].f1);
          flick_xdr_decode_char8(4, _data->_buffer[_t91_array_iter][_t97_array_iter].f2);
          flick_suntcp_decode_end_chunk(8);
        }
    }
  flick_suntcp_decode_end_glob(160 * _data->_length);
}

void flick_marshal_stub_TestSeq_also_vec10(flick_marshal_stream_t _stream, const TestSeq_also_vec10 *_data)
{
  unsigned long int _t99_array_iter;

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t99_array_iter = 0; _t99_array_iter < _data->_length; _t99_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t99_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_TestSeq_also_vec10(flick_marshal_stream_t _stream, TestSeq_also_vec10 *_data)
{
  unsigned long int _t101_array_iter;

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t101_array_iter = 0; _t101_array_iter < _data->_length; _t101_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t101_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

vec10 *TestSeq_op(TestSeq _obj, TestSeq_also_vec10 *a, vec10 **b, TestSeq_also_vec10 *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  vec10 *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    unsigned long int _t107_array_iter;
    unsigned long int _t109_array_iter;

    flick_suntcp_encode_new_glob(120);
    flick_suntcp_encode_new_chunk(36);
    flick_xdr_encode_unsigned32(0, 3);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, a->_length);
    flick_suntcp_encode_end_chunk(36);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t107_array_iter = 0; _t107_array_iter < a->_length; _t107_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, a->_buffer[_t107_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_xdr_encode_bcopy(a->_buffer, sizeof(long) * a->_length, suntcp);
#endif /* ENDIANness */
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_unsigned32(0, c->_length);
    flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t109_array_iter = 0; _t109_array_iter < c->_length; _t109_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, c->_buffer[_t109_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_xdr_encode_bcopy(c->_buffer, sizeof(long) * c->_length, suntcp);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(120);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(136);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t117_array_iter;
            unsigned long int _t119_array_iter;
            unsigned long int _t121_array_iter;

            *b = CORBA_flick_alloc(sizeof(vec10 ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, (*b)->_length);
            (*b)->_buffer = CORBA_flick_alloc((*b)->_length * sizeof(CORBA_long ));
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t117_array_iter = 0; _t117_array_iter < (*b)->_length; _t117_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*b)->_buffer[_t117_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy((*b)->_buffer, sizeof(long) * (*b)->_length, suntcp);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, c->_length);
            c->_buffer = CORBA_flick_alloc(c->_length * sizeof(CORBA_long ));
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t119_array_iter = 0; _t119_array_iter < c->_length; _t119_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, c->_buffer[_t119_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(c->_buffer, sizeof(long) * c->_length, suntcp);
#endif /* ENDIANness */
            _return = CORBA_flick_alloc(sizeof(vec10 ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t121_array_iter = 0; _t121_array_iter < _return->_length; _t121_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _return->_buffer[_t121_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(_return->_buffer, sizeof(long) * _return->_length, suntcp);
#endif /* ENDIANness */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(136);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

f_unbounded *TestSeq__get_fattr(TestSeq _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  f_unbounded *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(52);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 12);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 'g');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'f');
    flick_xdr_encode_char8(32, 'a');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, 'r');
    flick_xdr_encode_char8(48, 0);
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t125_array_iter;

            _return = CORBA_flick_alloc(sizeof(f_unbounded ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(struct foo ));
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            flick_suntcp_decode_new_glob(8 * _return->_length);
            for (_t125_array_iter = 0; _t125_array_iter < _return->_length; _t125_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, _return->_buffer[_t125_array_iter].f1);
                flick_xdr_decode_char8(4, _return->_buffer[_t125_array_iter].f2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_end_glob(8 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void TestSeq__set_fattr(TestSeq _obj, f_unbounded *fattr, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    unsigned long int _t129_array_iter;

    flick_suntcp_encode_new_glob(72);
    flick_suntcp_encode_new_chunk(72);
    flick_xdr_encode_unsigned32(0, 12);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, '_');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, '_');
    flick_xdr_encode_char8(28, 'f');
    flick_xdr_encode_char8(32, 'a');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, 'r');
    flick_xdr_encode_char8(48, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_xdr_encode_unsigned32(68, fattr->_length);
    flick_suntcp_encode_end_chunk(72);
    flick_suntcp_encode_end_glob(72);
    flick_suntcp_encode_new_glob(8 * fattr->_length);
    for (_t129_array_iter = 0; _t129_array_iter < fattr->_length; _t129_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, fattr->_buffer[_t129_array_iter].f1);
        flick_xdr_encode_char8(4, fattr->_buffer[_t129_array_iter].f2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_end_glob(8 * fattr->_length);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

