#include "structnest_-client.h"

void flick_marshal_stub_a_b_q(flick_marshal_stream_t _stream, const struct a_b_q *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned8(0, _data->c);
  flick_xdr_encode_signed32(4, _data->d);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_a_b_q(flick_marshal_stream_t _stream, struct a_b_q *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned8(0, _data->c);
  flick_xdr_decode_signed32(4, _data->d);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_a_b(flick_marshal_stream_t _stream, const struct a_b *_data)
{
  flick_suntcp_encode_new_glob(28);
  flick_suntcp_encode_new_chunk(28);
  flick_xdr_encode_signed16(0, _data->c);
  flick_xdr_encode_char8(4, _data->d);
  flick_xdr_encode_unsigned8(8, _data->e.c);
  flick_xdr_encode_signed32(12, _data->e.d);
  flick_xdr_encode_signed16(16, _data->f);
  flick_xdr_encode_unsigned8(20, _data->g.c);
  flick_xdr_encode_signed32(24, _data->g.d);
  flick_suntcp_encode_end_chunk(28);
  flick_suntcp_encode_end_glob(28);
}

void flick_unmarshal_stub_a_b(flick_marshal_stream_t _stream, struct a_b *_data)
{
  flick_suntcp_decode_new_glob(28);
  flick_suntcp_decode_new_chunk(28);
  flick_xdr_decode_signed16(0, _data->c);
  flick_xdr_decode_char8(4, _data->d);
  flick_xdr_decode_unsigned8(8, _data->e.c);
  flick_xdr_decode_signed32(12, _data->e.d);
  flick_xdr_decode_signed16(16, _data->f);
  flick_xdr_decode_unsigned8(20, _data->g.c);
  flick_xdr_decode_signed32(24, _data->g.d);
  flick_suntcp_decode_end_chunk(28);
  flick_suntcp_decode_end_glob(28);
}

void flick_marshal_stub_a_q(flick_marshal_stream_t _stream, const struct a_q *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed16(0, _data->a);
  flick_xdr_encode_float64(4, _data->b);
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
}

void flick_unmarshal_stub_a_q(flick_marshal_stream_t _stream, struct a_q *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed16(0, _data->a);
  flick_xdr_decode_float64(4, _data->b);
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
}

void flick_marshal_stub_a_z_zz(flick_marshal_stream_t _stream, const struct a_z_zz *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed16(0, _data->a.a);
  flick_xdr_encode_float64(4, _data->a.b);
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
}

void flick_unmarshal_stub_a_z_zz(flick_marshal_stream_t _stream, struct a_z_zz *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed16(0, _data->a.a);
  flick_xdr_decode_float64(4, _data->a.b);
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
}

void flick_marshal_stub_a_z(flick_marshal_stream_t _stream, const struct a_z *_data)
{
  flick_suntcp_encode_new_glob(24);
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_signed16(0, _data->b.a.a);
  flick_xdr_encode_float64(4, _data->b.a.b);
  flick_xdr_encode_signed16(12, _data->z.a);
  flick_xdr_encode_float64(16, _data->z.b);
  flick_suntcp_encode_end_chunk(24);
  flick_suntcp_encode_end_glob(24);
}

void flick_unmarshal_stub_a_z(flick_marshal_stream_t _stream, struct a_z *_data)
{
  flick_suntcp_decode_new_glob(24);
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_signed16(0, _data->b.a.a);
  flick_xdr_decode_float64(4, _data->b.a.b);
  flick_xdr_decode_signed16(12, _data->z.a);
  flick_xdr_decode_float64(16, _data->z.b);
  flick_suntcp_decode_end_chunk(24);
  flick_suntcp_decode_end_glob(24);
}

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_suntcp_encode_new_glob(108);
  flick_suntcp_encode_new_chunk(108);
  flick_xdr_encode_signed16(0, _data->e.c);
  flick_xdr_encode_char8(4, _data->e.d);
  flick_xdr_encode_unsigned8(8, _data->e.e.c);
  flick_xdr_encode_signed32(12, _data->e.e.d);
  flick_xdr_encode_signed16(16, _data->e.f);
  flick_xdr_encode_unsigned8(20, _data->e.g.c);
  flick_xdr_encode_signed32(24, _data->e.g.d);
  flick_xdr_encode_signed16(28, _data->h.a);
  flick_xdr_encode_float64(32, _data->h.b);
  flick_xdr_encode_signed16(40, _data->j.b.a.a);
  flick_xdr_encode_float64(44, _data->j.b.a.b);
  flick_xdr_encode_signed16(52, _data->j.z.a);
  flick_xdr_encode_float64(56, _data->j.z.b);
  flick_xdr_encode_float32(64, _data->f);
  flick_xdr_encode_signed16(68, _data->g.c);
  flick_xdr_encode_char8(72, _data->g.d);
  flick_xdr_encode_unsigned8(76, _data->g.e.c);
  flick_xdr_encode_signed32(80, _data->g.e.d);
  flick_xdr_encode_signed16(84, _data->g.f);
  flick_xdr_encode_unsigned8(88, _data->g.g.c);
  flick_xdr_encode_signed32(92, _data->g.g.d);
  flick_xdr_encode_signed16(96, _data->i.a);
  flick_xdr_encode_float64(100, _data->i.b);
  flick_suntcp_encode_end_chunk(108);
  flick_suntcp_encode_end_glob(108);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_suntcp_decode_new_glob(108);
  flick_suntcp_decode_new_chunk(108);
  flick_xdr_decode_signed16(0, _data->e.c);
  flick_xdr_decode_char8(4, _data->e.d);
  flick_xdr_decode_unsigned8(8, _data->e.e.c);
  flick_xdr_decode_signed32(12, _data->e.e.d);
  flick_xdr_decode_signed16(16, _data->e.f);
  flick_xdr_decode_unsigned8(20, _data->e.g.c);
  flick_xdr_decode_signed32(24, _data->e.g.d);
  flick_xdr_decode_signed16(28, _data->h.a);
  flick_xdr_decode_float64(32, _data->h.b);
  flick_xdr_decode_signed16(40, _data->j.b.a.a);
  flick_xdr_decode_float64(44, _data->j.b.a.b);
  flick_xdr_decode_signed16(52, _data->j.z.a);
  flick_xdr_decode_float64(56, _data->j.z.b);
  flick_xdr_decode_float32(64, _data->f);
  flick_xdr_decode_signed16(68, _data->g.c);
  flick_xdr_decode_char8(72, _data->g.d);
  flick_xdr_decode_unsigned8(76, _data->g.e.c);
  flick_xdr_decode_signed32(80, _data->g.e.d);
  flick_xdr_decode_signed16(84, _data->g.f);
  flick_xdr_decode_unsigned8(88, _data->g.g.c);
  flick_xdr_decode_signed32(92, _data->g.g.d);
  flick_xdr_decode_signed16(96, _data->i.a);
  flick_xdr_decode_float64(100, _data->i.b);
  flick_suntcp_decode_end_chunk(108);
  flick_suntcp_decode_end_glob(108);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_suntcp_encode_new_glob(32);
  flick_suntcp_encode_new_chunk(32);
  flick_xdr_encode_signed16(0, _data->c.c);
  flick_xdr_encode_char8(4, _data->c.d);
  flick_xdr_encode_unsigned8(8, _data->c.e.c);
  flick_xdr_encode_signed32(12, _data->c.e.d);
  flick_xdr_encode_signed16(16, _data->c.f);
  flick_xdr_encode_unsigned8(20, _data->c.g.c);
  flick_xdr_encode_signed32(24, _data->c.g.d);
  flick_xdr_encode_char8(28, _data->d);
  flick_suntcp_encode_end_chunk(32);
  flick_suntcp_encode_end_glob(32);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_suntcp_decode_new_glob(32);
  flick_suntcp_decode_new_chunk(32);
  flick_xdr_decode_signed16(0, _data->c.c);
  flick_xdr_decode_char8(4, _data->c.d);
  flick_xdr_decode_unsigned8(8, _data->c.e.c);
  flick_xdr_decode_signed32(12, _data->c.e.d);
  flick_xdr_decode_signed16(16, _data->c.f);
  flick_xdr_decode_unsigned8(20, _data->c.g.c);
  flick_xdr_decode_signed32(24, _data->c.g.d);
  flick_xdr_decode_char8(28, _data->d);
  flick_suntcp_decode_end_chunk(32);
  flick_suntcp_decode_end_glob(32);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

struct b test_CopyAdd(test _obj, struct a *s1, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct b _return;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(160);
    flick_suntcp_encode_new_chunk(160);
    flick_xdr_encode_unsigned32(0, 8);
    flick_xdr_encode_char8(4, 'C');
    flick_xdr_encode_char8(8, 'o');
    flick_xdr_encode_char8(12, 'p');
    flick_xdr_encode_char8(16, 'y');
    flick_xdr_encode_char8(20, 'A');
    flick_xdr_encode_char8(24, 'd');
    flick_xdr_encode_char8(28, 'd');
    flick_xdr_encode_char8(32, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_signed16(52, s1->e.c);
    flick_xdr_encode_char8(56, s1->e.d);
    flick_xdr_encode_unsigned8(60, s1->e.e.c);
    flick_xdr_encode_signed32(64, s1->e.e.d);
    flick_xdr_encode_signed16(68, s1->e.f);
    flick_xdr_encode_unsigned8(72, s1->e.g.c);
    flick_xdr_encode_signed32(76, s1->e.g.d);
    flick_xdr_encode_signed16(80, s1->h.a);
    flick_xdr_encode_float64(84, s1->h.b);
    flick_xdr_encode_signed16(92, s1->j.b.a.a);
    flick_xdr_encode_float64(96, s1->j.b.a.b);
    flick_xdr_encode_signed16(104, s1->j.z.a);
    flick_xdr_encode_float64(108, s1->j.z.b);
    flick_xdr_encode_float32(116, s1->f);
    flick_xdr_encode_signed16(120, s1->g.c);
    flick_xdr_encode_char8(124, s1->g.d);
    flick_xdr_encode_unsigned8(128, s1->g.e.c);
    flick_xdr_encode_signed32(132, s1->g.e.d);
    flick_xdr_encode_signed16(136, s1->g.f);
    flick_xdr_encode_unsigned8(140, s1->g.g.c);
    flick_xdr_encode_signed32(144, s1->g.g.d);
    flick_xdr_encode_signed16(148, s1->i.a);
    flick_xdr_encode_float64(152, s1->i.b);
    flick_suntcp_encode_end_chunk(160);
    flick_suntcp_encode_end_glob(160);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(36);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(32);
            flick_xdr_decode_signed16(0, _return.c.c);
            flick_xdr_decode_char8(4, _return.c.d);
            flick_xdr_decode_unsigned8(8, _return.c.e.c);
            flick_xdr_decode_signed32(12, _return.c.e.d);
            flick_xdr_decode_signed16(16, _return.c.f);
            flick_xdr_decode_unsigned8(20, _return.c.g.c);
            flick_xdr_decode_signed32(24, _return.c.g.d);
            flick_xdr_decode_char8(28, _return.d);
            flick_suntcp_decode_end_chunk(32);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(36);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

