#include "nest-refs-client.h"

void flick_marshal_stub_OctetSequence(flick_marshal_stream_t _stream, const OctetSequence *_data)
{
  unsigned long int _t1_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _data->_length);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_unsigned8(0, _data->_buffer[_t1_array_iter]);
      flick_fluke_encode_end_chunk(1);
    }
  flick_fluke_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_OctetSequence(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  unsigned long int _t3_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(u_int8_t ));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _data->_length);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_unsigned8(0, _data->_buffer[_t3_array_iter]);
      flick_fluke_decode_end_chunk(1);
    }
  flick_fluke_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_ReferenceData(flick_marshal_stream_t _stream, const ReferenceData *_data)
{
  unsigned long int _t5_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _data->_length);
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_unsigned8(0, _data->_buffer[_t5_array_iter]);
      flick_fluke_encode_end_chunk(1);
    }
  flick_fluke_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_ReferenceData(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  unsigned long int _t7_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(u_int8_t ));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _data->_length);
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_unsigned8(0, _data->_buffer[_t7_array_iter]);
      flick_fluke_decode_end_chunk(1);
    }
  flick_fluke_decode_end_glob(1 * _data->_length);
}

ReferenceData *test__get_id(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  ReferenceData *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_test__get_id);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          unsigned long int _t11_array_iter;

          /* Begin decode phase on parameters */
          _return = mom_flick_alloc(sizeof(ReferenceData ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return->_length);
          _return->_buffer = mom_flick_alloc(_return->_length * sizeof(u_int8_t ));
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          flick_fluke_decode_new_glob(1 * _return->_length);
          for (_t11_array_iter = 0; _t11_array_iter < _return->_length; _t11_array_iter++)
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_unsigned8(0, _return->_buffer[_t11_array_iter]);
              flick_fluke_decode_end_chunk(1);
            }
          flick_fluke_decode_end_glob(1 * _return->_length);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void test__set_id(mom_ref_t _obj, const ReferenceData *id, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    unsigned long int _t15_array_iter;

    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test__set_id);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, id->_length);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    flick_fluke_encode_new_glob(1 * id->_length);
    for (_t15_array_iter = 0; _t15_array_iter < id->_length; _t15_array_iter++)
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_unsigned8(0, id->_buffer[_t15_array_iter]);
        flick_fluke_encode_end_chunk(1);
      }
    flick_fluke_encode_end_glob(1 * id->_length);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

OctetSequence *test__get_info(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  OctetSequence *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_test__get_info);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          unsigned long int _t19_array_iter;

          /* Begin decode phase on parameters */
          _return = mom_flick_alloc(sizeof(OctetSequence ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return->_length);
          _return->_buffer = mom_flick_alloc(_return->_length * sizeof(u_int8_t ));
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          flick_fluke_decode_new_glob(1 * _return->_length);
          for (_t19_array_iter = 0; _t19_array_iter < _return->_length; _t19_array_iter++)
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_unsigned8(0, _return->_buffer[_t19_array_iter]);
              flick_fluke_decode_end_chunk(1);
            }
          flick_fluke_decode_end_glob(1 * _return->_length);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void test__set_info(mom_ref_t _obj, const OctetSequence *info, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    unsigned long int _t23_array_iter;

    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test__set_info);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, info->_length);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    flick_fluke_encode_new_glob(1 * info->_length);
    for (_t23_array_iter = 0; _t23_array_iter < info->_length; _t23_array_iter++)
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_unsigned8(0, info->_buffer[_t23_array_iter]);
        flick_fluke_encode_end_chunk(1);
      }
    flick_fluke_encode_end_glob(1 * info->_length);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

