#include "optional-5-server.h"

void flick_marshal_stub_opt_int(flick_marshal_stream_t _stream, const opt_int *_data)
{
  flick_unsigned8_t _t0_array_len;

  _t0_array_len = *_data != 0;
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _t0_array_len);
  flick_fluke_encode_end_chunk(4);
  if (_t0_array_len)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, **_data);
      flick_fluke_encode_end_chunk(4);
    }
  else
    {
    }
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_opt_int(flick_marshal_stream_t _stream, opt_int *_data)
{
  flick_unsigned8_t _t1_array_len;

  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _t1_array_len);
  flick_fluke_decode_end_chunk(4);
  if (_t1_array_len)
    {
      *_data = sun_flick_alloc(_t1_array_len * sizeof(int ));
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, **_data);
      flick_fluke_decode_end_chunk(4);
    }
  else
    {
      *_data = 0;
    }
  flick_fluke_decode_end_glob(8);
}

mom_dispatch_action_t prog_2(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t5_switch_tag;

    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t5_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t5_switch_tag)
      {
      case (signed int) 1:
        {
          {
            opt_int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            opt_int _t6_storage;
            flick_unsigned8_t _t7_array_len;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t6_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t7_array_len);
            flick_fluke_decode_end_chunk(4);
            if (_t7_array_len)
              {
                *_local_arg = auto_flick_alloc(_t7_array_len * sizeof(int ));
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, **_local_arg);
                flick_fluke_decode_end_chunk(4);
              }
            else
              {
                *_local_arg = 0;
              }
            flick_fluke_decode_end_glob(12);
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(12);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
