#include "structnest_-client.h"

void flick_marshal_stub_a_b_q(flick_marshal_stream_t _stream, const struct a_b_q *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_unsigned8(0, _data->c);
  flick_fluke_encode_signed32(4, _data->d);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_a_b_q(flick_marshal_stream_t _stream, struct a_b_q *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_unsigned8(0, _data->c);
  flick_fluke_decode_signed32(4, _data->d);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_a_b(flick_marshal_stream_t _stream, const struct a_b *_data)
{
  flick_fluke_encode_new_glob(16);
  flick_fluke_encode_new_chunk(16);
  flick_fluke_encode_signed16(0, _data->c);
  flick_fluke_encode_char8(2, _data->d);
  flick_fluke_encode_unsigned8(3, _data->e.c);
  flick_fluke_encode_signed32(4, _data->e.d);
  flick_fluke_encode_signed16(8, _data->f);
  flick_fluke_encode_unsigned8(10, _data->g.c);
  flick_fluke_encode_signed32(12, _data->g.d);
  flick_fluke_encode_end_chunk(16);
  flick_fluke_encode_end_glob(16);
}

void flick_unmarshal_stub_a_b(flick_marshal_stream_t _stream, struct a_b *_data)
{
  flick_fluke_decode_new_glob(16);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed16(0, _data->c);
  flick_fluke_decode_char8(2, _data->d);
  flick_fluke_decode_unsigned8(3, _data->e.c);
  flick_fluke_decode_signed32(4, _data->e.d);
  flick_fluke_decode_signed16(8, _data->f);
  flick_fluke_decode_unsigned8(10, _data->g.c);
  flick_fluke_decode_signed32(12, _data->g.d);
  flick_fluke_decode_end_chunk(16);
  flick_fluke_decode_end_glob(16);
}

void flick_marshal_stub_a_q(flick_marshal_stream_t _stream, const struct a_q *_data)
{
  flick_fluke_encode_new_glob(16);
  flick_fluke_encode_new_chunk(16);
  flick_fluke_encode_signed16(0, _data->a);
  flick_fluke_encode_float64(8, _data->b);
  flick_fluke_encode_end_chunk(16);
  flick_fluke_encode_end_glob(16);
}

void flick_unmarshal_stub_a_q(flick_marshal_stream_t _stream, struct a_q *_data)
{
  flick_fluke_decode_new_glob(16);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed16(0, _data->a);
  flick_fluke_decode_float64(8, _data->b);
  flick_fluke_decode_end_chunk(16);
  flick_fluke_decode_end_glob(16);
}

void flick_marshal_stub_a_z_zz(flick_marshal_stream_t _stream, const struct a_z_zz *_data)
{
  flick_fluke_encode_new_glob(16);
  flick_fluke_encode_new_chunk(16);
  flick_fluke_encode_signed16(0, _data->a.a);
  flick_fluke_encode_float64(8, _data->a.b);
  flick_fluke_encode_end_chunk(16);
  flick_fluke_encode_end_glob(16);
}

void flick_unmarshal_stub_a_z_zz(flick_marshal_stream_t _stream, struct a_z_zz *_data)
{
  flick_fluke_decode_new_glob(16);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed16(0, _data->a.a);
  flick_fluke_decode_float64(8, _data->a.b);
  flick_fluke_decode_end_chunk(16);
  flick_fluke_decode_end_glob(16);
}

void flick_marshal_stub_a_z(flick_marshal_stream_t _stream, const struct a_z *_data)
{
  flick_fluke_encode_new_glob(32);
  flick_fluke_encode_new_chunk(32);
  flick_fluke_encode_signed16(0, _data->b.a.a);
  flick_fluke_encode_float64(8, _data->b.a.b);
  flick_fluke_encode_signed16(16, _data->z.a);
  flick_fluke_encode_float64(24, _data->z.b);
  flick_fluke_encode_end_chunk(32);
  flick_fluke_encode_end_glob(32);
}

void flick_unmarshal_stub_a_z(flick_marshal_stream_t _stream, struct a_z *_data)
{
  flick_fluke_decode_new_glob(32);
  flick_fluke_decode_new_chunk(32);
  flick_fluke_decode_signed16(0, _data->b.a.a);
  flick_fluke_decode_float64(8, _data->b.a.b);
  flick_fluke_decode_signed16(16, _data->z.a);
  flick_fluke_decode_float64(24, _data->z.b);
  flick_fluke_decode_end_chunk(32);
  flick_fluke_decode_end_glob(32);
}

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_fluke_encode_new_glob(96);
  flick_fluke_encode_new_chunk(96);
  flick_fluke_encode_signed16(0, _data->e.c);
  flick_fluke_encode_char8(2, _data->e.d);
  flick_fluke_encode_unsigned8(3, _data->e.e.c);
  flick_fluke_encode_signed32(4, _data->e.e.d);
  flick_fluke_encode_signed16(8, _data->e.f);
  flick_fluke_encode_unsigned8(10, _data->e.g.c);
  flick_fluke_encode_signed32(12, _data->e.g.d);
  flick_fluke_encode_signed16(16, _data->h.a);
  flick_fluke_encode_float64(20, _data->h.b);
  flick_fluke_encode_signed16(28, _data->j.b.a.a);
  flick_fluke_encode_float64(36, _data->j.b.a.b);
  flick_fluke_encode_signed16(44, _data->j.z.a);
  flick_fluke_encode_float64(52, _data->j.z.b);
  flick_fluke_encode_float32(60, _data->f);
  flick_fluke_encode_signed16(64, _data->g.c);
  flick_fluke_encode_char8(66, _data->g.d);
  flick_fluke_encode_unsigned8(67, _data->g.e.c);
  flick_fluke_encode_signed32(68, _data->g.e.d);
  flick_fluke_encode_signed16(72, _data->g.f);
  flick_fluke_encode_unsigned8(74, _data->g.g.c);
  flick_fluke_encode_signed32(76, _data->g.g.d);
  flick_fluke_encode_signed16(80, _data->i.a);
  flick_fluke_encode_float64(88, _data->i.b);
  flick_fluke_encode_end_chunk(96);
  flick_fluke_encode_end_glob(96);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_fluke_decode_new_glob(96);
  flick_fluke_decode_new_chunk(96);
  flick_fluke_decode_signed16(0, _data->e.c);
  flick_fluke_decode_char8(2, _data->e.d);
  flick_fluke_decode_unsigned8(3, _data->e.e.c);
  flick_fluke_decode_signed32(4, _data->e.e.d);
  flick_fluke_decode_signed16(8, _data->e.f);
  flick_fluke_decode_unsigned8(10, _data->e.g.c);
  flick_fluke_decode_signed32(12, _data->e.g.d);
  flick_fluke_decode_signed16(16, _data->h.a);
  flick_fluke_decode_float64(20, _data->h.b);
  flick_fluke_decode_signed16(28, _data->j.b.a.a);
  flick_fluke_decode_float64(36, _data->j.b.a.b);
  flick_fluke_decode_signed16(44, _data->j.z.a);
  flick_fluke_decode_float64(52, _data->j.z.b);
  flick_fluke_decode_float32(60, _data->f);
  flick_fluke_decode_signed16(64, _data->g.c);
  flick_fluke_decode_char8(66, _data->g.d);
  flick_fluke_decode_unsigned8(67, _data->g.e.c);
  flick_fluke_decode_signed32(68, _data->g.e.d);
  flick_fluke_decode_signed16(72, _data->g.f);
  flick_fluke_decode_unsigned8(74, _data->g.g.c);
  flick_fluke_decode_signed32(76, _data->g.g.d);
  flick_fluke_decode_signed16(80, _data->i.a);
  flick_fluke_decode_float64(88, _data->i.b);
  flick_fluke_decode_end_chunk(96);
  flick_fluke_decode_end_glob(96);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_fluke_encode_new_glob(17);
  flick_fluke_encode_new_chunk(17);
  flick_fluke_encode_signed16(0, _data->c.c);
  flick_fluke_encode_char8(2, _data->c.d);
  flick_fluke_encode_unsigned8(3, _data->c.e.c);
  flick_fluke_encode_signed32(4, _data->c.e.d);
  flick_fluke_encode_signed16(8, _data->c.f);
  flick_fluke_encode_unsigned8(10, _data->c.g.c);
  flick_fluke_encode_signed32(12, _data->c.g.d);
  flick_fluke_encode_char8(16, _data->d);
  flick_fluke_encode_end_chunk(17);
  flick_fluke_encode_end_glob(17);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_fluke_decode_new_glob(17);
  flick_fluke_decode_new_chunk(17);
  flick_fluke_decode_signed16(0, _data->c.c);
  flick_fluke_decode_char8(2, _data->c.d);
  flick_fluke_decode_unsigned8(3, _data->c.e.c);
  flick_fluke_decode_signed32(4, _data->c.e.d);
  flick_fluke_decode_signed16(8, _data->c.f);
  flick_fluke_decode_unsigned8(10, _data->c.g.c);
  flick_fluke_decode_signed32(12, _data->c.g.d);
  flick_fluke_decode_char8(16, _data->d);
  flick_fluke_decode_end_chunk(17);
  flick_fluke_decode_end_glob(17);
}

struct b test_CopyAdd(mom_ref_t _obj, const struct a *s1, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct b _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(104);
    flick_fluke_encode_new_chunk(104);
    flick_fluke_encode_unsigned32(0, req_test_CopyAdd);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, s1->e.c);
    flick_fluke_encode_char8(6, s1->e.d);
    flick_fluke_encode_unsigned8(7, s1->e.e.c);
    flick_fluke_encode_signed32(8, s1->e.e.d);
    flick_fluke_encode_signed16(12, s1->e.f);
    flick_fluke_encode_unsigned8(14, s1->e.g.c);
    flick_fluke_encode_signed32(16, s1->e.g.d);
    flick_fluke_encode_signed16(20, s1->h.a);
    flick_fluke_encode_float64(28, s1->h.b);
    flick_fluke_encode_signed16(36, s1->j.b.a.a);
    flick_fluke_encode_float64(44, s1->j.b.a.b);
    flick_fluke_encode_signed16(52, s1->j.z.a);
    flick_fluke_encode_float64(60, s1->j.z.b);
    flick_fluke_encode_float32(68, s1->f);
    flick_fluke_encode_signed16(72, s1->g.c);
    flick_fluke_encode_char8(74, s1->g.d);
    flick_fluke_encode_unsigned8(75, s1->g.e.c);
    flick_fluke_encode_signed32(76, s1->g.e.d);
    flick_fluke_encode_signed16(80, s1->g.f);
    flick_fluke_encode_unsigned8(82, s1->g.g.c);
    flick_fluke_encode_signed32(84, s1->g.g.d);
    flick_fluke_encode_signed16(88, s1->i.a);
    flick_fluke_encode_float64(96, s1->i.b);
    flick_fluke_encode_end_chunk(104);
    flick_fluke_encode_end_glob(104);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(21);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(17);
          flick_fluke_decode_signed16(0, _return.c.c);
          flick_fluke_decode_char8(2, _return.c.d);
          flick_fluke_decode_unsigned8(3, _return.c.e.c);
          flick_fluke_decode_signed32(4, _return.c.e.d);
          flick_fluke_decode_signed16(8, _return.c.f);
          flick_fluke_decode_unsigned8(10, _return.c.g.c);
          flick_fluke_decode_signed32(12, _return.c.g.d);
          flick_fluke_decode_char8(16, _return.d);
          flick_fluke_decode_end_chunk(17);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(21);
  }
  flick_fluke_client_end_decode();
  return _return;
}

