#ifndef _parm__client_h_
#define _parm__client_h_

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corba.h>

#ifndef _typedef___Enumeration
#define _typedef___Enumeration
typedef unsigned long int Enumeration;
#endif /* _typedef___Enumeration */

void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data);

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data);

#define ONE (0)

#define TWO (1)

#ifndef _typedef___FStruct
#define _typedef___FStruct
typedef struct FStruct {
  CORBA_short a;
} FStruct;
#endif /* _typedef___FStruct */

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const struct FStruct *_data);

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data);

#ifndef _typedef___VStruct
#define _typedef___VStruct
typedef struct VStruct {
  CORBA_char *a;
} VStruct;
#endif /* _typedef___VStruct */

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const struct VStruct *_data);

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data);

#ifndef _typedef___FUnion
#define _typedef___FUnion
typedef struct FUnion {
  CORBA_long _d;
  union {
    CORBA_long x;
    CORBA_char z;
  } _u;
} FUnion;
#endif /* _typedef___FUnion */

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const struct FUnion *_data);

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data);

#ifndef _typedef___VUnion
#define _typedef___VUnion
typedef struct VUnion {
  CORBA_long _d;
  union {
    CORBA_char *a;
    CORBA_char z;
  } _u;
} VUnion;
#endif /* _typedef___VUnion */

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const struct VUnion *_data);

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data);

#ifndef _typedef___test_arr
#define _typedef___test_arr
typedef CORBA_long test_arr[10];
#endif /* _typedef___test_arr */

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data);

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data);

#ifndef _typedef___CORBA_sequence_integer
#define _typedef___CORBA_sequence_integer
typedef struct CORBA_sequence_integer {
  unsigned long int _length;
  CORBA_long *_buffer;
} CORBA_sequence_integer;
#endif /* _typedef___CORBA_sequence_integer */

#ifndef _typedef___test_seq
#define _typedef___test_seq
typedef struct CORBA_sequence_integer test_seq;
#endif /* _typedef___test_seq */

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data);

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data);

#ifndef _typedef___test
#define _typedef___test
typedef CORBA_Object test;
#endif /* _typedef___test */

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data);

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data);

CORBA_short test_Short(test _obj, CORBA_short a, CORBA_short *b, CORBA_short *c, CORBA_Environment *_ev);

CORBA_long test_Long(test _obj, CORBA_long a, CORBA_long *b, CORBA_long *c, CORBA_Environment *_ev);

CORBA_unsigned_short test_UShort(test _obj, CORBA_unsigned_short a, CORBA_unsigned_short *b, CORBA_unsigned_short *c, CORBA_Environment *_ev);

CORBA_unsigned_long test_ULong(test _obj, CORBA_unsigned_long a, CORBA_unsigned_long *b, CORBA_unsigned_long *c, CORBA_Environment *_ev);

CORBA_float test_Float(test _obj, CORBA_float a, CORBA_float *b, CORBA_float *c, CORBA_Environment *_ev);

CORBA_boolean test_Boolean(test _obj, CORBA_boolean a, CORBA_boolean *b, CORBA_boolean *c, CORBA_Environment *_ev);

CORBA_char test_Char(test _obj, CORBA_char a, CORBA_char *b, CORBA_char *c, CORBA_Environment *_ev);

CORBA_octet test_Octet(test _obj, CORBA_octet a, CORBA_octet *b, CORBA_octet *c, CORBA_Environment *_ev);

Enumeration test_Enum(test _obj, Enumeration a, Enumeration *b, Enumeration *c, CORBA_Environment *_ev);

struct FStruct test_FixedStruct(test _obj, struct FStruct *a, struct FStruct *b, struct FStruct *c, CORBA_Environment *_ev);

struct VStruct *test_VarStruct(test _obj, struct VStruct *a, struct VStruct *b, struct VStruct **c, CORBA_Environment *_ev);

struct FUnion test_FixedUnion(test _obj, struct FUnion *a, struct FUnion *b, struct FUnion *c, CORBA_Environment *_ev);

struct VUnion *test_VarUnion(test _obj, struct VUnion *a, struct VUnion *b, struct VUnion **c, CORBA_Environment *_ev);

CORBA_char *test_String(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev);

CORBA_char *test_BoundString(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev);

test_arr *test_Array(test _obj, test_arr a, test_arr b, test_arr c, CORBA_Environment *_ev);

test_seq *test_Sequence(test _obj, test_seq *a, test_seq *b, test_seq **c, CORBA_Environment *_ev);

#endif /* _parm__client_h_ */
