#include "union-2-client.h"

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->discriminator);
  flick_iiop_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->foo_u.one);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->foo_u.two);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 3:
      {
        break;
      }
    case 4:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_float32(0, _data->foo_u.four);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 5:
      {
        break;
      }
    default:
      {
        flick_sun_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->discriminator);
  flick_iiop_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->foo_u.one);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->foo_u.two);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 3:
      {
        break;
      }
    case 4:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_float32(0, _data->foo_u.four);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 5:
      {
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_foo_swap(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->discriminator);
  flick_iiop_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->foo_u.one);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->foo_u.two);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 3:
      {
        break;
      }
    case 4:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_float32(0, _data->foo_u.four);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 5:
      {
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

struct foo *op_2(struct foo *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  struct foo *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 1);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, arg->discriminator);
    flick_iiop_encode_end_chunk(12);
    switch (arg->discriminator)
      {
      case 1:
        {
          flick_iiop_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, arg->foo_u.one);
          flick_iiop_encode_end_chunk(4);
          break;
        }
      case 2:
        {
          flick_iiop_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, arg->foo_u.two);
          flick_iiop_encode_end_chunk(4);
          break;
        }
      case 3:
        {
          break;
        }
      case 4:
        {
          flick_iiop_encode_new_chunk(4);
          flick_cdr_encode_float32(0, arg->foo_u.four);
          flick_iiop_encode_end_chunk(4);
          break;
        }
      case 5:
        {
          break;
        }
      default:
        {
          flick_sun_encode_client_error(_return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
          break;
        }
      }
    flick_iiop_encode_end_glob(16);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_sun_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static struct foo _t3_storage;

            _return = &_t3_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return->discriminator);
            flick_iiop_decode_end_chunk(4);
            switch (_return->discriminator)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _return->foo_u.one);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _return->foo_u.two);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              case 3:
                {
                  break;
                }
              case 4:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_float32(0, _return->foo_u.four);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              case 5:
                {
                  break;
                }
              default:
                {
                  flick_sun_decode_client_error(_return, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
                  break;
                }
              }
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static struct foo _t1_storage;

            _return = &_t1_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return->discriminator);
            flick_iiop_decode_end_chunk(4);
            switch (_return->discriminator)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _return->foo_u.one);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _return->foo_u.two);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              case 3:
                {
                  break;
                }
              case 4:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_float32(0, _return->foo_u.four);
                  flick_iiop_decode_end_chunk(4);
                  break;
                }
              case 5:
                {
                  break;
                }
              default:
                {
                  flick_sun_decode_client_error(_return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
                  break;
                }
              }
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(12);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

