#include "optional-4-client.h"

void flick_marshal_stub_opt_int(flick_marshal_stream_t _stream, const opt_int *_data)
{
  flick_unsigned8_t _t0_array_len;

  _t0_array_len = *_data != 0;
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_boolean(0, _t0_array_len);
  flick_mach3mig_encode_end_chunk(8);
  if (_t0_array_len)
    {
      flick_mach3mig_encode_new_chunk(8);
      flick_mach3mig_encode_signed32(0, **_data);
      flick_mach3mig_encode_end_chunk(8);
    }
  else
    {
    }
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_opt_int(flick_marshal_stream_t _stream, opt_int *_data)
{
  flick_unsigned8_t _t1_array_len;

  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_boolean(0, _t1_array_len);
  flick_mach3mig_decode_end_chunk(8);
  if (_t1_array_len)
    {
      *_data = sun_flick_alloc(_t1_array_len * sizeof(int ));
      flick_mach3mig_decode_new_chunk(8);
      flick_mach3mig_decode_signed32(0, **_data);
      flick_mach3mig_decode_end_chunk(8);
    }
  else
    {
      *_data = 0;
    }
  flick_mach3mig_decode_end_glob(16);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

opt_int *op_2(int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  opt_int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 1;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, *arg);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t7_switch_tag;

    flick_mach3mig_decode_new_glob(24);
    _t7_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t7_switch_tag)
      {
      case (signed int) 1025:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static opt_int _t10_storage;
                flick_unsigned8_t _t11_array_len;

                _return = &_t10_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_boolean(0, _t11_array_len);
                flick_mach3mig_decode_end_chunk(8);
                if (_t11_array_len)
                  {
                    *_return = sun_flick_alloc(_t11_array_len * sizeof(int ));
                    flick_mach3mig_decode_new_chunk(8);
                    flick_mach3mig_decode_signed32(0, **_return);
                    flick_mach3mig_decode_end_chunk(8);
                  }
                else
                  {
                    *_return = 0;
                  }
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(24);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

