#include "server-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_Server;
	s.vers_num = _VERS_Server;

	assert(flick_server_register(s, &Server_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_Server(flick_marshal_stream_t _stream, const Server *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_Server(flick_marshal_stream_t _stream, Server *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int Server_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t66_switch_tag;

    flick_suntcp_decode_new_glob(72);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t66_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t66_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t67_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t67_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t67_switch_tag)
            {
            case 'S':
              {
                char _t68_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t68_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t68_switch_tag)
                  {
                  case 'e':
                    {
                      char _t69_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t69_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t69_switch_tag)
                        {
                        case 't':
                          {
                            char _t70_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t70_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t70_switch_tag)
                              {
                              case 'S':
                                {
                                  char _t71_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t71_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t71_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t72_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t72_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t72_switch_tag)
                                          {
                                          case 'z':
                                            {
                                              char _t73_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t73_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t73_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t74_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t74_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t74_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            CORBA_long _local_width;
                                                            CORBA_long _local_height;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t75_storage;
                                                            unsigned int _t76_ignore;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            _ev = &_t75_storage;
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(24);
                                                            flick_xdr_decode_unsigned32(0, _t76_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t76_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t76_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t76_ignore);
                                                            flick_xdr_decode_signed32(16, _local_width);
                                                            flick_xdr_decode_signed32(20, _local_height);
                                                            flick_suntcp_decode_end_chunk(24);
                                                            flick_suntcp_decode_end_glob(72);
                                                            flick_corba_init_environment();
                                                            _return = Server_SetSize(_obj, _local_width, _local_height, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            case 'A':
              {
                char _t77_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t77_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t77_switch_tag)
                  {
                  case 'd':
                    {
                      char _t78_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t78_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t78_switch_tag)
                        {
                        case 'd':
                          {
                            char _t79_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t79_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t79_switch_tag)
                              {
                              case 'W':
                                {
                                  char _t80_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t80_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t80_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t81_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t81_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t81_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t82_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t82_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t82_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t83_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t83_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t83_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            CORBA_long _local_startx;
                                                            CORBA_long _local_starty;
                                                            CORBA_long _local_endx;
                                                            CORBA_long _local_endy;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t84_storage;
                                                            unsigned int _t85_ignore;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            _ev = &_t84_storage;
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(32);
                                                            flick_xdr_decode_unsigned32(0, _t85_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t85_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t85_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t85_ignore);
                                                            flick_xdr_decode_signed32(16, _local_startx);
                                                            flick_xdr_decode_signed32(20, _local_starty);
                                                            flick_xdr_decode_signed32(24, _local_endx);
                                                            flick_xdr_decode_signed32(28, _local_endy);
                                                            flick_suntcp_decode_end_chunk(32);
                                                            flick_suntcp_decode_end_glob(72);
                                                            flick_corba_init_environment();
                                                            _return = Server_AddWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'R':
                                {
                                  char _t86_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t86_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t86_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t87_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t87_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t87_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t88_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t88_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t88_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t89_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t89_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t89_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            CORBA_long _local_left;
                                                            CORBA_long _local_top;
                                                            CORBA_long _local_right;
                                                            CORBA_long _local_bottom;
                                                            CORBA_long _local_color;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t90_storage;
                                                            unsigned int _t91_ignore;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            _ev = &_t90_storage;
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(36);
                                                            flick_xdr_decode_unsigned32(0, _t91_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t91_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t91_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t91_ignore);
                                                            flick_xdr_decode_signed32(16, _local_left);
                                                            flick_xdr_decode_signed32(20, _local_top);
                                                            flick_xdr_decode_signed32(24, _local_right);
                                                            flick_xdr_decode_signed32(28, _local_bottom);
                                                            flick_xdr_decode_signed32(32, _local_color);
                                                            flick_suntcp_decode_end_chunk(36);
                                                            flick_suntcp_decode_end_glob(72);
                                                            flick_corba_init_environment();
                                                            _return = Server_AddRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _local_color, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            case 'D':
              {
                char _t92_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t92_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t92_switch_tag)
                  {
                  case 'e':
                    {
                      char _t93_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t93_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t93_switch_tag)
                        {
                        case 'l':
                          {
                            char _t94_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t94_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t94_switch_tag)
                              {
                              case 'W':
                                {
                                  char _t95_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t95_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t95_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t96_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t96_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t96_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t97_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t97_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t97_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t98_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t98_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t98_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            CORBA_long _local_startx;
                                                            CORBA_long _local_starty;
                                                            CORBA_long _local_endx;
                                                            CORBA_long _local_endy;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t99_storage;
                                                            unsigned int _t100_ignore;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            _ev = &_t99_storage;
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(32);
                                                            flick_xdr_decode_unsigned32(0, _t100_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t100_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t100_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t100_ignore);
                                                            flick_xdr_decode_signed32(16, _local_startx);
                                                            flick_xdr_decode_signed32(20, _local_starty);
                                                            flick_xdr_decode_signed32(24, _local_endx);
                                                            flick_xdr_decode_signed32(28, _local_endy);
                                                            flick_suntcp_decode_end_chunk(32);
                                                            flick_suntcp_decode_end_glob(72);
                                                            flick_corba_init_environment();
                                                            _return = Server_DelWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'R':
                                {
                                  char _t101_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t101_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t101_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t102_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t102_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t102_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t103_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t103_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t103_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t104_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t104_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t104_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            Server _obj;
                                                            CORBA_long _local_left;
                                                            CORBA_long _local_top;
                                                            CORBA_long _local_right;
                                                            CORBA_long _local_bottom;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t105_storage;
                                                            unsigned int _t106_ignore;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            _ev = &_t105_storage;
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(32);
                                                            flick_xdr_decode_unsigned32(0, _t106_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t106_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t106_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t106_ignore);
                                                            flick_xdr_decode_signed32(16, _local_left);
                                                            flick_xdr_decode_signed32(20, _local_top);
                                                            flick_xdr_decode_signed32(24, _local_right);
                                                            flick_xdr_decode_signed32(28, _local_bottom);
                                                            flick_suntcp_decode_end_chunk(32);
                                                            flick_suntcp_decode_end_glob(72);
                                                            flick_corba_init_environment();
                                                            _return = Server_DelRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t107_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t107_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t107_switch_tag)
            {
            case 'S':
              {
                char _t108_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t108_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t108_switch_tag)
                  {
                  case 'e':
                    {
                      char _t109_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t109_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t109_switch_tag)
                        {
                        case 't':
                          {
                            char _t110_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t110_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t110_switch_tag)
                              {
                              case 'T':
                                {
                                  char _t111_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t111_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t111_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t112_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t112_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t112_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t113_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t113_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t113_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t114_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t114_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t114_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t115_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t115_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t115_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t116_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t116_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t116_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        Server _obj;
                                                                        CORBA_long _local_x;
                                                                        CORBA_long _local_y;
                                                                        CORBA_long _local_angle;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_long _return = 0;
                                                                        CORBA_Environment _t117_storage;
                                                                        unsigned int _t118_ignore;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _ev = &_t117_storage;
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(28);
                                                                        flick_xdr_decode_unsigned32(0, _t118_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t118_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t118_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t118_ignore);
                                                                        flick_xdr_decode_signed32(16, _local_x);
                                                                        flick_xdr_decode_signed32(20, _local_y);
                                                                        flick_xdr_decode_signed32(24, _local_angle);
                                                                        flick_suntcp_decode_end_chunk(28);
                                                                        flick_suntcp_decode_end_glob(72);
                                                                        flick_corba_init_environment();
                                                                        _return = Server_SetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(8);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _return);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(72);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(72);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            case 'G':
              {
                char _t119_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t119_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t119_switch_tag)
                  {
                  case 'e':
                    {
                      char _t120_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t120_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t120_switch_tag)
                        {
                        case 't':
                          {
                            char _t121_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t121_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t121_switch_tag)
                              {
                              case 'T':
                                {
                                  char _t122_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t122_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t122_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t123_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t123_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t123_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t124_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t124_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t124_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t125_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t125_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t125_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t126_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t126_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t126_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t127_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t127_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t127_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        Server _obj;
                                                                        CORBA_long *_local_x;
                                                                        CORBA_long *_local_y;
                                                                        CORBA_long *_local_angle;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_long _return = 0;
                                                                        CORBA_long _t128_storage;
                                                                        CORBA_long _t129_storage;
                                                                        CORBA_long _t130_storage;
                                                                        CORBA_Environment _t131_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _local_x = &_t128_storage;
                                                                        _local_y = &_t129_storage;
                                                                        _local_angle = &_t130_storage;
                                                                        _ev = &_t131_storage;
                                                                        flick_suntcp_decode_end_glob(72);
                                                                        flick_corba_init_environment();
                                                                        _return = Server_GetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(20);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(16);
                                                                              flick_xdr_encode_signed32(0, *_local_x);
                                                                              flick_xdr_encode_signed32(4, *_local_y);
                                                                              flick_xdr_encode_signed32(8, *_local_angle);
                                                                              flick_xdr_encode_signed32(12, _return);
                                                                              flick_suntcp_encode_end_chunk(16);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(20);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(72);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(72);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(72);
          break;
        }
      }
  }
  return 0;
}
